<?php global $arformsmymail, $armainhelper,$arf_forms_tbl,$arf_my_mail_forms_tbl, $wpdb, $arffield,$arfform,$MdlDb,$arf_version;

	$values = array();
	$field_array = array();
	
	if( isset($_REQUEST['arfaction'] ) && 'edit' == $_REQUEST['arfaction'] ){
		$id = $_REQUEST['id'];

		if( version_compare( $arf_version, '4.3', '<' ) ){
			$form_data = $wpdb->get_row( $wpdb->prepare( "SELECT * FROM `". $arf_my_mail_forms_tbl . "` WHERE id = %d", $id ), ARRAY_A );
		}else{
			$mymail_forms_table = $arf_my_mail_forms_tbl . ' arfmail LEFT JOIN ' . $MdlDb->forms . ' arfrm ON arfmail.form_id = arfrm.id ';		
			$form_data = $arfform->arf_select_db_data( true, '', $mymail_forms_table, 'arfmail.*', 'WHERE arfmail.id = %d', array( $id ), '', '', '', false, true, 'ARRAY_A' );			
		}

		foreach( $form_data as $k => $v ){
			if( $k == 'options' ){
				$opts = maybe_unserialize( $v );
				foreach( $opts as $k1 => $v1 ){
					$values[$k1] = $v1;
				}
			} else {
				$values[$k] = $v;
			}
		}
		if ( isset( $form_data['form_id'] ) && $form_data['form_id'] != '' && $form_data['form_id'] != '0' ) {
			$field_array = $arffield->getAll( 'fi.form_id=' . (int) $form_data['form_id'], 'id' );
		}
	}
?>

<div id="success_message" class="arf_success_message">
	<div class="message_descripiton">
		<div id="success_msg_text"></div>
		<div class="message_svg_icon">
			<svg height="14px" stroke-width="14px">
				<path fill-rule="evenodd" clip-rule="evenodd" fill="#FFFFFF" d="M6.075,14.407l-5.852-5.84l1.616-1.613l4.394,4.385L17.181,0.411 l1.616,1.613L6.392,14.407H6.075z"></path>
			</svg>
		</div>
	</div>
</div>

<div id="error_message" class="arf_error_message">
	<div class="message_descripiton">
		<div id="error_msg_text"></div>
		<div class="message_svg_icon">
			<svg height="14px" stroke-width="14px">
				<path fill-rule="evenodd" clip-rule="evenodd" fill="#ffffff" d="M10.702,10.909L6.453,6.66l-4.249,4.249L1.143,9.848l4.249-4.249L1.154,1.361l1.062-1.061l4.237,4.237l4.238-4.237l1.061,1.061L7.513,5.599l4.249,4.249L10.702,10.909z"></path>
			</svg>
		</div>
	</div>
</div>

<div class="wrap mymail_page">
	<div class="top_bar">
		<span class="h2"><?php esc_html_e( 'Mailster Configuration', 'ARForms-MyMail' ); ?></span>
	</div>
	<div id="poststuff" class="metabox-holder">
		<div id="post-body">
			<div class="inside arf_mlstr_edit_form_wrapper">
				<div class="frm_settings_form wrap_content">
					<?php
					$arfaction = '';
					if ( ! isset( $arfaction ) || $arfaction == '' ) {
						$arfaction = $_REQUEST['arfaction'];
					}

					if ( isset( $values['form_id'] ) and $values['form_id'] != '' ) {

						if( version_compare( $arf_version, '4.3', '<' ) ){
							$form_name = $wpdb->get_results( $wpdb->prepare( 'SELECT name FROM ' . $arf_forms_tbl . ' WHERE id = %d', $values['form_id'] ) );
						}else{
							$form_name = $arfform->arf_select_db_data( true, '', $arf_forms_tbl, 'name', 'WHERE id = %d', array( $values['form_id'] ) );
						}

						$form_name = $form_name[0];
						$values['form_name'] = $form_name->name;
					}
					$wpnonce = wp_create_nonce( 'wp_nonce_mymail' );

					$form_id = isset($values['form_id']) ? esc_html( $values['form_id'] ) : '';
					$arfid = isset($values['id']) ? esc_html( $values['id'] ) : ''; 
					$form_name = isset($values['form_name']) ? esc_attr( $values['form_name'] ) : '';
					?>
					<input type="hidden" id="ajax_url" value="<?php echo admin_url('admin-ajax.php'); ?>" />
					<form name="arf_mymail_setting" id="arf_mymail_setting" method="post" onSubmit="return arf_mymail_save();" enctype="multipart/form-data">
						<input type="hidden" id="arfaction" name="arfaction" value="<?php echo esc_html( $arfaction ); ?>">
						<input type="hidden" name="form_id" id="form_id" value="<?php echo $form_id; ?>">
						<input type="hidden" name="id" id="id" value="<?php echo $arfid; ?>">
						<input type="hidden" name="form_name" id="form_name" value="<?php echo $form_name; ?>">
						<input type="hidden" name="_wpnonce_mymail" value="<?php echo esc_html( $wpnonce ); ?>" />
						<div class="rounded_corner field_gray">
							<table class="form-table">
								<tr class="tdclass">
									<td width="21.5%" class="tdclass" valign="top">
										<label class="lblsubtitle"><?php esc_html_e( 'Select Mailster Form', 'ARForms-MyMail' ); ?>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_mlstr_valign_middle">*</span></label>
									</td>
									<td class="arf_mlstr_form_dd_wrapper">
										<div class="arf_form_dropdown arf_mymail_form">
											<div class="sltstandard arf_mymail_div_height">
												<?php
												global $arfform, $maincontroller, $arf_version;
												$form_data  = array();
												$exclude_ids = array( '-1' );
												$form_data = isset( $form_data_main_qry ) ? $form_data_main_qry : array();
												if ( count( $form_data ) > 0 ) {
													foreach ( $form_data as $form_new ) {
														if ( $form_new->form_id != $values['form_id'] ) {
															$exclude_ids[] = $form_new->form_id;
														}
													}
												}
												$exclude_ids = array_unique( $exclude_ids );

												?>
												<div class="arf_editp_form_dropdown">

													<div class="sltstandard arf_mymail_div_height">
														<?php
														$mymail_forms = $arformsmymail->get_my_mail_forms();

														$selected_list_id = '';
														$selected_list_label = esc_html__( 'Select Form', 'ARForms-MyMail' );
														if(version_compare($arf_version,"5.6","<")){
															$list_of_form = '';
														} else {
															$list_of_form = array(
																'' => esc_html__('Select Form', 'ARForms-MyMail'),
															);
														}
														if ( count( $mymail_forms ) > 0 ) {
															foreach ( $mymail_forms as $mymail_form ) {
																if ( isset( $values['arf_mymail_form'] ) && $values['arf_mymail_form'] == $mymail_form['id'] ) {
																	$selected_list_id    = $mymail_form['id'];
																	$selected_list_label = $mymail_form['name'];
																}
															   	if(version_compare($arf_version,"5.6","<")){
																	$list_of_form .= '<li class="arf_selectbox_option" data-value="' . $mymail_form['id'] . '" data-label="' . $armainhelper->truncate( $mymail_form['name'], 33 ) . '">' . $armainhelper->truncate( $mymail_form['name'], 33 ) . '</li>';
																} else {
																	$list_of_form[$mymail_form['id']] = $armainhelper->truncate( $mymail_form['name'], 33 );
																}
															}
														}
														?>
														<input name="arf_mymail_form" id="arf_mymail_form" value="<?php echo esc_html( $selected_list_id ); ?>" type="hidden" onChange="arf_mymail_form_change()">
														<?php if(version_compare($arf_version,"5.6","<")){?>
															<dl class="arf_selectbox arf_mlstr_form_dd" data-name="arf_mymail_form" data-id="arf_mymail_form">
																<dt>
																	<span><?php echo $selected_list_label; ?></span>
																   	<input value="<?php echo esc_html( $selected_list_id ); ?>" class="arf_autocomplete" type="text" >
																   	<svg viewBox="0 0 2000 1000" width="15px" height="15px">
																	   	<g fill="#000">
																		   <path d="M1024 320q0 -26 -19 -45t-45 -19h-896q-26 0 -45 19t-19 45t19 45l448 448q19 19 45 19t45 -19l448 -448q19 -19 19 -45z"></path>
																	  	</g>
																   	</svg>
															    </dt>
															    <dd>
																   <ul data-id="arf_mymail_form" class="">
																   		<li class="arf_selectbox_option" data-value="" data-label="<?php esc_html_e( 'Select Form', 'ARForms-MyMail' ); ?>"><?php esc_html_e( 'Select Field', 'ARForms-MyMail' ); ?></li>
																		<?php echo $list_of_form; ?>
															   		</ul>
														  		</dd>
														   	</dl>
														<?php } else {

																$arf_mymail_onchange_attr = array(
																	'onchange' => 'arf_mymail_form_change'
																);

																echo $maincontroller->arf_selectpicker_dom( 'arf_mymail_form', 'arf_mymail_form', 'arf_mlstr_form_dd', '','', $arf_mymail_onchange_attr, $list_of_form);
														}?>
													</div>
												</div>
												<div class="arferrmessage arf_mlstr_field_error" id="arf_mymail_form_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-MyMail' ); ?></div>
											</div>
										</div>
									</td>
								</tr>

								<tr class="tdclass" >
									<td width="21.5%" class="tdclass" valign="top">
										<label class="lblsubtitle"><?php esc_html_e( 'Select Form', 'ARForms-MyMail' ); ?>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_mlstr_valign_middle">*</span></label>
									</td>
									<td class="arf_mlstr_form_dd_wrapper">
										<?php
										if ( $arfaction == 'new' ) {
											global $arfform;

											$exclude_ids = array( '-1' );

											if( version_compare( $arf_version, '4.3', '<' ) ){
												$form_data = $wpdb->get_results( 'SELECT * FROM ' . $arf_my_mail_forms_tbl );
											}else{
												$form_data = $arfform->arf_select_db_data( true, '', $arf_my_mail_forms_tbl , '*' );
											}

											if ( count( $form_data ) > 0 ) {
												foreach ( $form_data as $form_new ) {
													$exclude_ids[] = $form_new->form_id;
												}
											}

											$where = "is_template=0  AND (status is NULL OR status = '' OR status = 'published') AND id not in (" . implode( ',', $exclude_ids ) . ')';
											$return_results = array();
											$return_results = apply_filters( 'arf_addon_getallforms', $return_results, $where, ' ORDER BY name' );
											?>
											<div class="arf_form_dropdown arf_mymail_form">
												<div class="sltstandard arf_mymail_div_height">
													<?php
													$selected_list_id = '';
													$selected_list_label = esc_html__( 'Select Form', 'ARForms-MyMail' );
													if(version_compare($arf_version,"5.6","<")){
														$list_of_form = '';
													} else {
														$list_of_form = array(
															'' => esc_html__('Select Form','ARForms-MyMail'),
														);
													}
													foreach ( $return_results as $form ) {
														if ( isset( $values['form_id'] ) && $values['form_id'] == $form['id'] ) {
															$selected_list_id    = $form['id'];
															$selected_list_label = $form['name_width_id'];
														}
														if(version_compare($arf_version,"5.6","<")){
															$list_of_form .= '<li class="arf_selectbox_option" data-value="' . $form['id'] . '" data-label="' . $armainhelper->truncate( $form['name_width_id'], 33 ) . '">' . $armainhelper->truncate( $form['name_width_id'], 33 ) . '</li>';
														} else {
															$list_of_form[$form['id']] = $armainhelper->truncate( $form['name_width_id'], 33 );
														}
													}
													?>
													<input name="arf_mymail_arform_form" id="arf_mymail_arform_form" value="<?php echo esc_html( $selected_list_id ); ?>" type="hidden" onChange="arf_arforms_form_change()">
													<?php if(version_compare($arf_version,"5.6","<")){ ?>
														<dl class="arf_selectbox arf_mlstr_form_dd" data-name="arf_mymail_arform_form" data-id="arf_mymail_arform_form">
														    <dt>
																<span><?php echo $selected_list_label; ?></span>
															   	<input value="<?php echo esc_html( $selected_list_id ); ?>" class="arf_autocomplete" type="text" />
															   	<svg viewBox="0 0 2000 1000" width="15px" height="15px">
																   	<g fill="#000">
																	   <path d="M1024 320q0 -26 -19 -45t-45 -19h-896q-26 0 -45 19t-19 45t19 45l448 448q19 19 45 19t45 -19l448 -448q19 -19 19 -45z"></path>
																   	</g>
															   	</svg>
														   	</dt>
														   	<dd>
															   	<ul data-id="arf_mymail_arform_form" class="">
																   	<li class="arf_selectbox_option" data-value="" data-label="<?php esc_html_e( 'Select Form', 'ARForms-MyMail' ); ?>"><?php esc_html_e( 'Select Field', 'ARForms-MyMail' ); ?></li>
																	<?php echo $list_of_form; ?>
															   	</ul>
														   	</dd>
													   	</dl>
													<?php } else {

														$arf_mymail_arforms_form_change_attr = array(
															'onchange' => 'arf_arforms_form_change',
														);

														echo $maincontroller->arf_selectpicker_dom( 'arf_mymail_arform_form', 'arf_mymail_arform_form', 'arf_mlstr_form_dd', '','', $arf_mymail_arforms_form_change_attr, $list_of_form, false, array(), false, array(), false, array(), true);
													}?>
												</div>
											</div>
											<div class="arferrmessage arf_mlstr_field_error" id="arf_mymail_arform_form_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-MyMail' ); ?></div>
										<?php } else { ?>
											<input type="hidden" name="arf_mymail_arform_form" id="arf_mymail_arform_form" value="<?php echo esc_html( $values['form_id'] ); ?>" />
											<label class="lblsubtitle"><strong><?php echo $values['form_name']; ?></strong></label>
										<?php } ?>
									</td>
								</tr>
							</table>
						</div>

					   	<div class="rounded_corner field_gray">
						  	<table class="form-table">
								<tr class="tdclass">
									<td valign="top" colspan="2" class="lbltitle titleclass"><?php esc_html_e( 'Mailster Lists', 'ARForms-MyMail' ); ?></td>
								</tr>
								<?php
									$list_section = isset( $values['arf_mymail_list_selection'] ) ? $values['arf_mymail_list_selection'] : 'manual';
								?>
								<tr class="tdclass">
									<td class="tdclass arf_mlstr_no_top_bottom_padding" valign="top" colspan="2">
										<div class="arf_mlstr_manual_list_wrapper">
											<label class="lblsubtitle arf_mlstr_no_top_padding"><?php esc_html_e('Mailster List Selection', 'ARForms-MyMail') ?></label>
											<div class="arf_mail_list_selection">
												<div class="arf_radio_wrapper">
													<div class="arf_custom_radio_div">
														<div class="arf_custom_radio_wrapper">
															<input type="radio" class="arf_custom_radio arf_submit_action" <?php checked($list_section,'manual'); ?> name="arf_mymail_list_selection" id="arf_mymail_list_selection_manual" value="manual" />
															<svg width="18px" height="18px">
		                                                    	<?php echo ARF_CUSTOM_UNCHECKEDRADIO_ICON; ?>
		                                                    	<?php echo ARF_CUSTOM_CHECKEDRADIO_ICON; ?>
		                                                    </svg>
														</div>
													</div>
													<span>
														<label for="arf_mymail_list_selection_manual"><?php esc_html_e('Fixed List', 'ARForms-MyMail'); ?></label>
													</span>
												</div>
												<div class="arf_radio_wrapper">
													<div class="arf_custom_radio_div">
														<div class="arf_custom_radio_wrapper">
															<input type="radio" class="arf_custom_radio arf_submit_action" <?php checked($list_section,'field'); ?> name="arf_mymail_list_selection" id="arf_mymail_list_selection_fields" value="field" />
															<svg width="18px" height="18px">
		                                                    	<?php echo ARF_CUSTOM_UNCHECKEDRADIO_ICON; ?>
		                                                    	<?php echo ARF_CUSTOM_CHECKEDRADIO_ICON; ?>
		                                                    </svg>
														</div>
													</div>
													<span>
														<label for="arf_mymail_list_selection_fields"><?php esc_html_e('Dynamic (Let user select)','ARForms-MyMail'); ?></label>
													</span>
												</div>
											</div>
										</div>
									</td>
								</tr>

								<?php

								$manual_selection = 'arf_mailster_hidden_section';
								$user_selection = '';
								if( $list_section == 'manual' ){
									$manual_selection = '';
									$user_selection = 'arf_mailster_hidden_section';
								}

								?>
								<tr id="arf_mlstr_manual_list_selection_wrapper" class="<?php echo $manual_selection; ?>">
									<td width="21.5%" valign="top" class="tdclass" colspan="2">
										<div class="arf_mlstr_manual_list_wrapper">
											<label class="lblsubtitle arf_mlstr_manual_list_label"><?php esc_html_e( 'Select List(s)', 'ARForms-MyMail' ); ?></label>
											<div id="basic_manually_mymail_lists">
												<?php
												$mymail_lists = $arformsmymail->get_my_mail_lists();
												$mymail_lists_chkbox_checked = '';
												if ( isset( $values['arf_mymail_list'] ) && $values['arf_mymail_list'] != '' ) {
													$mymail_lists_chkbox_checked = "disabled='disabled'";
												}
												foreach ( $mymail_lists as $mymail_list ) {
													$selected_mymail_list = '';
													if ( isset( $values['arf_mymaillist_checkbox'] ) && ! empty( $values['arf_mymaillist_checkbox'] ) ) {
														if ( in_array( $mymail_list->ID, $values['arf_mymaillist_checkbox'] ) ) {
															$selected_mymail_list = "checked='checked'";
														}
													}
													?>
													<div class="radiobutton arf_mlstr_clear_both">
														<div  class="arf_custom_checkbox_div">
															<div class="arf_custom_checkbox_wrapper" onclick="arfrestrictentries();">
																<input id="arf_mymail_list-<?php echo esc_html( $mymail_list->ID ); ?>" type="checkbox" value="<?php echo esc_html( $mymail_list->ID ); ?>" name="arf_mymaillist_checkbox[]" <?php echo esc_html( $selected_mymail_list ); ?> <?php echo esc_html( $mymail_lists_chkbox_checked ); ?> >
																<svg width="18px" height="18px">
																<?php echo ARF_CUSTOM_UNCHECKED_ICON; ?>
																<?php echo ARF_CUSTOM_CHECKED_ICON; ?>
																</svg>
															</div>
															<span class="arf_mlstr_radio_span">
																<label title="arf_mymail_list" for="arf_mymail_list-<?php echo esc_html( $mymail_list->ID ); ?>"><?php echo $mymail_list->name; ?></label>
															</span>
														</div>
													</div>
													<?php
												}
												?>
											</div>											
										</div>
									</td>
								</tr>
								
								<tr id="arf_mlstr_user_list_selection_wrapper" class="<?php echo $user_selection; ?>">
									<td width="21.5%" valign="top" class="tdclass" colspan="2">
										<div class="arf_mlstr_manual_list_wrapper">

											<label class="lblsubtitle arf_mlstr_user_select_list"><?php esc_html_e( 'Choose form field to show Mailster List', 'ARForms-MyMail' ); ?><span class="arfglobalrequiredfield arf_mlstr_valign_middle"></span></label>

											<div id="basic_mymail_lists">
												<div class="arf_mlstr_clear_both">
													<div class="arf_form_dropdown arf_mymail_front_list">
														<div class="sltstandard arf_mymail_div_height">
															<?php

															$selected_list_id = '';
															$selected_list_label = esc_html__( 'Select Field', 'ARForms-MyMail' );
															$field_list_option = '';
                                                            if(version_compare($arf_version,"5.6","<")){ 
																$field_list_option .= '<li class="arf_selectbox_option" data-value="" data-label="' . esc_html__( 'Select Field', 'ARForms-MyMail' ) . '">' . esc_html__( 'Select Field', 'ARForms-MyMail' ) . '</li>';
															} else {
																$field_list_option = array(
																	'' => esc_html__('Select Field','ARForms-MyMail')
																);
															}

															if ( $arfaction != 'new' ) {
																global $arffield;
																$include = "'checkbox','select', 'radio'";
																$field_list = $arffield->getAll( 'fi.type in (' . $include . ') and fi.form_id=' . (int) $values['form_id'], 'id' );

																foreach ( $field_list as $field ) {
																	if( isset( $field->field_options['parent_field_type'] ) && 'arf_repeater' == $field->field_options['parent_field_type'] ){
																		continue;
																	}
																	if ( isset( $values['arf_mymail_front_list'] ) && $field->id == $values['arf_mymail_front_list'] ) {
																		$selected_list_id    = $field->id;
																		$selected_list_label = $field->name;
																	}
																	if(version_compare($arf_version,"5.6","<")){
																		$field_list_option .= '<li class="arf_selectbox_option" data-value="' . $field->id . '" data-label="' . $field->name . '">' . $armainhelper->truncate( $field->name, 33 ) . '</li>';
																	} else {
																		 $field_list_option[$field->id] = $field->name;
																	}
																}
															}
															?>
															<input id="arf_mymail_front_list"  name="arf_mymail_front_list" value="<?php echo esc_html( $selected_list_id ); ?>" type="hidden" onchange="is_mymaillist_selected(this.value,'basic_manually_mymail_lists');">
																<?php if(version_compare($arf_version,"5.6","<")){ ?>
																	<dl class="arf_selectbox arf_mlstr_form_dd" data-name="arf_mymail_front_list" data-id="arf_mymail_front_list">
																		<dt>
																			<span><?php echo $selected_list_label; ?></span>
																			<input value="<?php echo esc_html( $selected_list_id ); ?>" class="arf_autocomplete" type="text">
																			<svg viewBox="0 0 2000 1000" width="15px" height="15px">
																				<g fill="#000">
																					<path d="M1024 320q0 -26 -19 -45t-45 -19h-896q-26 0 -45 19t-19 45t19 45l448 448q19 19 45 19t45 -19l448 -448q19 -19 19 -45z"></path>
																				</g>
																			</svg>
																		</dt>
																		<dd>
																			<ul data-id="arf_mymail_front_list" id="" >
																				<?php
																				if ( $arfaction != 'new' ) {
																					echo $field_list_option;
																				}
																				?>
																			</ul>
																		</dd>
																	</dl>
																<?php } else {
																		
																		$arf_mymail_front_list_arr = array(
																				'onchange' => 'is_mymaillist_selected(this.value,"basic_manually_mymail_lists")'
																		);

																		echo $maincontroller->arf_selectpicker_dom('arf_mymail_front_list' ,'arf_mymail_front_list' , 'arf_mlstr_form_dd', '', $selected_list_id, array(), $field_list_option);
																} ?>
														</div>
													</div>
												</div>
												<div class="arferrmessage arf_mlstr_field_error" id="arf_mymail_list_msg"><?php esc_html_e( 'Please Select at least one list.', 'ARForms-MyMail' ); ?></div>
											</div>

											<div class="arf_mlstr_separator">&nbsp;</div>

											<label class="lblsubtitle arf_mlstr_manual_list_label"><?php esc_html_e( 'Select List(s) to display in the field', 'ARForms-MyMail' ); ?></label>

											<div id="basic_manually_mymail_front_lists">
												
												<?php
												
												$mymail_front_lists = $arformsmymail->get_my_mail_lists();
												$mymail_front_lists_chkbox_checked = '';
												if ( isset( $values['arf_mymail_front_list'] ) && $values['arf_mymail_front_list'] != '' ) {
													$mymail_front_lists_chkbox_checked = "disabled='disabled'";
												}

												$all_field_checked = "";

												if( isset( $values['arf_mymailfrontlist_checkbox_all'] ) && $values['arf_mymailfrontlist_checkbox_all'] == 'all' ){
													$all_field_checked = ' checked="checked" ';
												}

												?>
												<div class="radiobutton arf_mlstr_clear_both">
													<div class="arf_custom_checkbox_div">
														<div class="arf_custom_checkbox_wrapper">
															<input id="arf_mymail_front_list-all" class="" type="checkbox" <?php echo $all_field_checked; ?> value="all" name="arf_mymailfrontlist_checkbox_all" />
															<svg width="18px" height="18px">
																<?php echo ARF_CUSTOM_UNCHECKED_ICON; ?>
																<?php echo ARF_CUSTOM_CHECKED_ICON; ?>
															</svg>
														</div>
														<span class="arf_mlstr_radio_span">
															<label title="arf_mymail_front_list" for="arf_mymail_front_list-all"><?php esc_html_e('All','ARForms-MyMail'); ?></label>
														</span>
													</div>
												</div>
												<?php
												foreach ( $mymail_front_lists as $mymail_front_list ) {
													$selected_mymail_front_list = '';
													if ( isset( $values['arf_mymailfrontlist_checkbox'] ) && ! empty( $values['arf_mymailfrontlist_checkbox'] ) ) {
														if ( in_array( $mymail_front_list->ID, $values['arf_mymailfrontlist_checkbox'] ) ) {
															$selected_mymail_front_list = "checked='checked'";
														}
													}
													?>
													<div class="radiobutton arf_mlstr_clear_both">
														<div  class="arf_custom_checkbox_div">
															<div class="arf_custom_checkbox_wrapper" onclick="">
																<input id="arf_mymail_front_list-<?php echo esc_html( $mymail_front_list->ID ); ?>" class="" type="checkbox" value="<?php echo esc_html( $mymail_front_list->ID ); ?>" name="arf_mymailfrontlist_checkbox[]" <?php echo esc_html( $selected_mymail_front_list ); ?> >
																<svg width="18px" height="18px">
																<?php echo ARF_CUSTOM_UNCHECKED_ICON; ?>
																<?php echo ARF_CUSTOM_CHECKED_ICON; ?>
																</svg>
															</div>
															<span class="arf_mlstr_radio_span">
																<label title="arf_mymail_front_list" for="arf_mymail_front_list-<?php echo esc_html( $mymail_front_list->ID ); ?>"><?php echo $mymail_front_list->name; ?></label>
															</span>
														</div>
													</div>
												<?php } ?>
											</div>
										</div>
									</td>
								</tr>
							</table>
						</div>

						<div class="rounded_corner field_gray">
							<table class="form-table">
								<thead>
									<?php
									echo '<tr class="tdclass">';
									echo '<td valign="top" colspan="2" class="lbltitle titleclass">' . esc_html__( 'Mailster Form Fields', 'ARForms-MyMail' ) . '</td>';
									echo '</tr>';
									?>
								</thead>
								<tbody id="mymail_fields_content">
									<?php

									$arf_mymail_form = isset( $values['arf_mymail_form'] ) ? $values['arf_mymail_form'] : '';

									if ( isset( $mymail_forms[ $arf_mymail_form ] ) && !empty( $mymail_forms[ $arf_mymail_form ] ) && count( $mymail_forms[ $arf_mymail_form ]['order'] ) > 0 ) {

										foreach ( $mymail_forms[ $arf_mymail_form ]['order'] as $key => $value ) {

											$is_field_required = '';
											?>
											<tr class="tdclass">
												<td valign="top" width="21.5%" class="tdclass">
													<label class="lblsubtitle"><?php echo $mymail_forms[ $arf_mymail_form ]['labels'][ $value ]; ?>
																<?php
																if ( in_array( $value, $mymail_forms[ $arf_mymail_form ]['required'] ) ) {
																	$is_field_required = ' arfmymailrequiredfield';
																	?>
																	&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_mlstr_valign_middle">*</span>
																	<?php
																}
																?>
													</label>
												</td>
												<td>
													<div id="main_arf_mymail_<?php echo esc_html( $value ); ?>" class="arf_form_dropdown arf_mymail_<?php echo esc_attr( $value ); ?>  <?php echo esc_html( $is_field_required ); ?>">
														<div class="sltstandard">
															<?php echo $arformsmymail->field_dropdown_v3( $values['form_id'], 'arf_mymail_' . $value, 'frm-dropdown arf_mymail_' . $value . ' arf_mymail_fields', $values[ 'arf_mymail_' . $value ] ); ?>
														</div>
													</div>
													<div class="arferrmessage arf_mlstr_field_error" id="main_arf_mymail_<?php echo esc_html( $value ); ?>_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-MyMail' ); ?></div>
												</td>
											</tr>
											<?php
										}
									}?>
								</tbody>
							</table>
						</div>

						<div class="rounded_corner field_gray no_border">
							<table class="form-table">
								<thead>
									<?php
									echo '<tr class="tdclass">';
									echo '<td valign="top" colspan="2" class="lbltitle titleclass">' . esc_html__( 'Mailster Condition', 'ARForms-MyMail' ) . '</td>';
									echo '</tr>';
									?>
								</thead>
								<tbody id="mymail_fields_content">									
									<tr class="tdclass">
										<td valign="top" width="21.5%" class="tdclass arf_mailster_valign_top">
											<label class="lblsubtitle"><?php esc_html_e( 'Mailster Condition', 'ARForms-MyMail' ); ?></label>
										</td>
										<td>
											<div id="" class="arf_form_dropdown">
												<div class="sltstandard arf_mailster_condition">
													<label class="arf_js_switch_label">
														<span></span>
													</label>
													<?php $arf_mailster_condition = isset($values['arf_mailster_condition']) ? $values['arf_mailster_condition'] : ''; ?>
													<span class="arf_js_switch_wrapper">
														<input type="checkbox" class="js-switch" name="arf_mailster_condition" id="arf_mailster_condition" onchange="is_mailster_condition();" value="1" <?php checked( $arf_mailster_condition, 1 ); ?> />
														<span class="arf_js_switch"></span>
													</span>
													<label class="arf_js_switch_label" for="arf_mailster_condition">
														<span>&nbsp;<?php esc_html_e( 'Enable', 'ARForms-MyMail' ); ?></span>
													</label> 


													<div>
														<?php
															$arf_hide_mailster_condition = '';
															$arf_mailster_condition = isset($values['arf_mailster_condition']) ? $values['arf_mailster_condition'] : '';
															if ( 1 != $arf_mailster_condition ) {
																$arf_hide_mailster_condition = ' arf_mailster_hidden_section ';
															}
														?>
														<div id="conditional_logic_div_mailster" class="<?php echo esc_attr( $arf_hide_mailster_condition ); ?>">

															<div class="arf_clear_both">

																<?php $cl_rules_array = isset($values['conditional_logic']['rules']) ? $values['conditional_logic']['rules'] : array(); ?>

																<?php esc_html_e( 'Send to mailster if', 'ARForms-MyMail' ); ?>&nbsp;
																<div class="sltstandard arf_mailster_cl_operator <?php echo ( count( $cl_rules_array ) == 0 ) ? ' arfhelptip' : ''; ?>" 
																<?php echo ( count( $cl_rules_array ) == 0 ) ? "title='" . esc_html__( 'Please add one or more rules', 'ARForms-MyMail' ) . "'" : ''; ?>>

																	<?php
																	$conditional_logic_if_cond = isset($values['conditional_logic']['if_cond']) ? $values['conditional_logic']['if_cond'] : '';
																	if ( $conditional_logic_if_cond == 'any' ) {
																		$selected_list_id    = 'any';
																		$selected_list_label = esc_html__( 'Any', 'ARForms-MyMail' );
																	} else {
																		$selected_list_id    = 'all';
																		$selected_list_label = esc_html__( 'All', 'ARForms-MyMail' );
																	}
																	?>
																	<input id="conditional_logic_if_cond_mailster"  name="conditional_logic_if_cond_mailster" value="<?php echo esc_attr( $selected_list_id ); ?>" type="hidden" <?php echo( count( $cl_rules_array ) == 0 ) ? 'disabled' : ''; ?>>
																	<?php if(version_compare($arf_version,"5.6","<")){?>
																		<dl class="arf_selectbox arf_mailster_cl_operator_dd" data-name="conditional_logic_if_cond_mailster" data-id="conditional_logic_if_cond_mailster">
																			<dt <?php echo( count( $cl_rules_array ) == 0 ) ? 'class="arf_disable_selectbox"' : ''; ?>>
																				<span><?php echo esc_html( $selected_list_label ); ?></span>
																				<input value="<?php echo esc_attr( $selected_list_id ); ?>" type="text" />
																				<svg viewBox="0 0 2000 1000" width="15px" height="15px">
																					<g fill="#000">
																						<path d="M1024 320q0 -26 -19 -45t-45 -19h-896q-26 0 -45 19t-19 45t19 45l448 448q19 19 45 19t45 -19l448 -448q19 -19 19 -45z"></path>
																					</g>
																				</svg>
																			</dt>
																			<dd>
																				<ul data-id="conditional_logic_if_cond_mailster" class="">
																					<li class="arf_selectbox_option" data-value="all" data-label="<?php esc_html_e( 'All', 'ARForms-MyMail' ); ?>"><?php esc_html_e( 'All', 'ARForms-MyMail' ); ?></li>
																					<li class="arf_selectbox_option" data-value="any" data-label="<?php esc_html_e( 'Any', 'ARForms-MyMail' ); ?>"><?php esc_html_e( 'Any', 'ARForms-MyMail' ); ?></li>
																				</ul>
																			</dd>
																		</dl>
																	<?php } else {

																		$arforms_mymail_condition_arr = array();
                                                        				$arforms_mymail_condition_arr['all'] = esc_html__( 'All', 'ARForms-MyMail' );
                                                        				$arforms_mymail_condition_arr['any'] = esc_html__( 'Any', 'ARForms-MyMail' );

																		$dissabel = ( count( $cl_rules_array ) == 0 ) ? true : false;

														
																		echo $maincontroller -> arf_selectpicker_dom('conditional_logic_if_cond_mailster','conditional_logic_if_cond_mailster','arf_mailster_cl_operator_dd ','',$selected_list_id,array(),$arforms_mymail_condition_arr,false,array(),$dissabel);

																	}?>

																	
																</div>
																&nbsp;
																<?php esc_html_e( 'of the following match:', 'ARForms-MyMail' ); ?>&nbsp;

															</div>
															<?php
																$arf_hide_mailster_rule_btn = '';
															if ( count( $cl_rules_array ) != 0 ) {
																$arf_hide_mailster_rule_btn = ' arf_mailster_hidden_section ';
															}
															?>
															<button type="button" id="arf_new_law_mailster" onclick="arf_add_new_law_mailster();" class="rounded_button arf_btn_dark_blue arfaddnewrule arf_arfaddnewrule_btn <?php echo esc_attr( $arf_hide_mailster_rule_btn ); ?>"><?php esc_html_e( 'Add New Rule', 'ARForms-MyMail' ); ?></button>


															<div id="logic_rules_div_mailster" class="logic_rules_div">
																<?php
																if ( count( $cl_rules_array ) > 0 ) {
																	$rule_i = 1;
																	foreach ( $cl_rules_array as $rule ) {
																		?>
																		<div id="arf_cl_rule_mailster<?php echo '_' . $rule_i; ?>" class="cl_rules">
																			<input type="hidden" name="rule_array_mailster[]" value="<?php echo esc_attr( $rule_i ); ?>" />
																			<div class="sltstandard arf_mailster_cl_field_dd"><?php echo $arformsmymail->arf_cl_field_menu( $values['form_id'], 'arf_cl_field_mailster_' . $rule_i, 'arf_cl_field_mailster_' . $rule_i, $rule['field_id'], $field_array ); ?></div>
																			<div class="sltstandard arf_mailster_cl_field_dd"><?php echo $arformsmymail->arf_cl_rule_menu( 'arf_cl_op_mailster_' . $rule_i, 'arf_cl_op_mailster_' . $rule_i, ( isset( $rule['operator'] ) && $rule['operator'] != '' ) ? $rule['operator'] : 'is' ); ?></div>

																			<input type="text" name="cl_rule_value_mailster_<?php echo esc_attr( $rule_i ); ?>" id="cl_rule_value_mailster_<?php echo esc_attr( $rule_i ); ?>" class="txtmodal1 arf_mailster_cl_field_input" value="<?php echo $rule['value']; ?>" />
																			&nbsp;
																			<span class="bulk_add_remove"> 
																				<span onclick="arf_add_new_law_mailster();" class="bulk_add">
																					<svg viewBox="0 -4 32 32">
																					<g><?php echo( ( ARF_PLUS_ICON != '' ) ? ARF_PLUS_ICON : '' ); ?></g>
																					</svg>
																				</span>
																				<span onclick="delete_rule_mailster(this);" class="bulk_remove">
																					<svg viewBox="0 -4 32 32">
																					<g><?php echo( ( ARF_MINUS_ICON != '' ) ? ARF_MINUS_ICON : '' ); ?></g>
																					</svg>
																				</span>
																			</span>

																		</div>
																		<?php
																		$rule_i++;
																	}
																}
																?>
															</div>    


														</div>


													</div>
												</div>
											</div>
										</td>
									</tr>											
								</tbody>
							</table>
						</div>

						<div class="arf_mlstr_submit_wrapper">
							<button class="rounded_button btn_green" id="save_arf_mymail" name="save_arf_mymail" type="submit"><?php esc_html_e( 'Save', 'ARForms-MyMail' ); ?></button>
							&nbsp;&nbsp;
							<button class="rounded_button arf_btn_cancel" type="button" onclick="location.href='?page=ARForms-Mailster'"><?php esc_html_e( 'Cancel', 'ARForms-MyMail' ); ?></button>
							<div class="arf_mailster_save_loader"></div>
						</div>
					</form>
				</div>
	  		</div>
		</div>
  	</div>
</div>