<?php
global $arffield,$wpdb, $arf_paypal, $MdlDb,$arfform, $armainhelper, $arformcontroller;
$field_array = array();

if ( isset( $_REQUEST['arfaction'] ) && 'edit' == $_REQUEST['arfaction'] ) {
	$form_data = $wpdb->get_results( $wpdb->prepare( 'SELECT * FROM ' . $arf_paypal->db_paypal_forms . ' WHERE id = %d', $_REQUEST['id'] ) );
	if ( count( $form_data ) > 0 ) {
		$form_data = $form_data[0];

		$options = maybe_unserialize( $form_data->options );

		$values = array();

		$values['id']        = $form_data->id;
		$values['form_id']   = $form_data->form_id;
		$values['form_name'] = $form_data->form_name;

		if ( count( $options ) > 0 ) {
			foreach ( $options as $option_key => $option_val ) {
				$values[ $option_key ] = $option_val;
			}
		}

		$form_data_new = $arfform->getOne( $form_data->form_id );

		$form_options = maybe_unserialize( $form_data_new->options );

		$values['success_action'] = $form_options['success_action'];

		$values['success_msg'] = $form_options['success_msg'];

		$values['success_url'] = $form_options['success_url'];

		$values['success_page_id'] = $form_options['success_page_id'];

		$arfaction = 'edit';
	}
} else {
	$values['id']                 = '';
	$values['form_id']            = '';
	$values['form_name']          = '';
	$values['merchant_email']     = '';
	$values['paypal_mode']        = '1';
	$values['continue_label']     = '';
	$values['cancel_url']         = '';
	$values['title']              = '';
	$values['currency']           = 'USD ( $ )';
	$values['notification']       = 0;
	$values['user_notification']  = 0;
	$values['user_email_content'] = $this->user_defalut_email_content();
	$values['first_name']         = '';
	$values['last_name']          = '';
	$values['email']              = '';
	$values['address']            = '';
	$values['address_2']          = '';
	$values['city']               = '';
	$values['state']              = '';
	$values['zip']                = '';
	$values['country']            = '';
	$values['amount']             = '';
	$values['payment_type']       = 'product_service';
	$values['email_content']      = $this->defalut_email_content();
	$values['success_action']     = 'message';
	$values['success_msg']        = esc_html__( 'Thank you for subscription with us. We will contact you soon.', 'ARForms-paypal' );
	$values['success_url']        = '';
	$values['success_page_id']    = '';
	$values['shipping_info']      = '0';
	$values['paypal_condition']   = 0;

	$values['arf_payment_type']                            = '';
	$values['arf_multiple_product_service_type']           = '';
	$values['arf_cl_field_multiple_product_service_type']  = '';
	$values['arf_cl_op_multiple_product_service_type']     = '';
	$values['cl_rule_value_multiple_product_service_type'] = '';
	$values['arf_multiple_product_service_amount']         = '';
	$values['arf_multiple_subscription_type']              = '';
	$values['arf_cl_field_multiple_subscription_type']     = '';
	$values['arf_cl_op_multiple_subscription_type']        = '';
	$values['cl_rule_value_multiple_subscription_type']    = '';
	$values['arf_multiple_subscription_amount']            = '';

	$values['multiple_subscription_conditional_logic']['rules'] = array();
	$values['paypal_recurring_retry']                           = '';
	$values['paypal_trial_period']                              = '';

	$values['conditional_logic'] = array(
		'if_cond' => 'all',
		'rules'   => array(),
	);

	$arfaction = 'new';
}

if ( isset( $values['form_id'] ) && $values['form_id'] != '' ) {
	$field_array = $arffield->getAll( 'fi.form_id=' . (int) $values['form_id'], 'id' );
}
$responder_list_option = $def_val = $selected_list_id = $selected_list_label = '';
?>
<input type="hidden" id="arf_old_version" value="true">
<div class="wrap paypal_page arf_pp_old_version"> 
	
	<div class="top_bar frm_settings_form wrap_content">
		<span class="h2"><?php esc_html_e( 'Paypal Configuration', 'ARForms-paypal' ); ?></span>
	</div>

	<div id="success_message" class="arf_pp_display_none arf_pp_success_msg">
		<div class="arfsuccessmsgicon"></div>
		<div class="arf_success_message"></div>
	</div>
	<div id="arf_error_message" class="arf_pp_display_none arf_pp_page_error_msg">
		<ul id="frm_errors">
			<li><div class="arferrmsgicon"></div><div id="error_message"></div></li>
		</ul>
	</div>
	
	<div id="poststuff" class="metabox-holder">
		<div id="post-body">
			<div class="inside">
				<div class="frm_settings_form wrap_content arf_paypal_edit_settings">
					
					<div class="arf_clear_both"></div>    
					<?php

					if ( $arfaction == '' ) {
						$arfaction = $_REQUEST['arfaction'];
					}

					if ( isset( $message ) && $message != '' ) {
						if ( is_admin() ) {
							/*reputelog - change success message style */
							?>
							<div id="success_message" style="margin-bottom:0px; margin-top:15px; width:95%;"><div class="arfsuccessmsgicon"></div><div class="arf_success_message">
							<?php
						} echo $message;
						if ( is_admin() ) {
							?>
							</div></div>
							<?php
						}
					}

					if ( isset( $values['form_id'] ) and $values['form_id'] != '' ) {
						$form_name           = $wpdb->get_results( $wpdb->prepare( 'SELECT name FROM ' . $wpdb->prefix . 'arf_forms WHERE id = %d', $values['form_id'] ) );
						$form_name           = $form_name[0];
						$values['form_name'] = $form_name->name;
					}

					if ( ! isset( $values['success_msg'] ) or empty( $values['success_msg'] ) ) {
						$values['success_msg'] = esc_html__( 'Thank you for subscription with us. We will contact you soon.', 'ARForms-paypal' );
					}

					if ( ! isset( $values['success_action'] ) or empty( $values['success_action'] ) ) {
						$values['success_action'] = 'message';
					}

					if ( ! isset( $values['email_content'] ) or empty( $values['email_content'] ) ) {
						$values['email_content'] = $this->defalut_email_content();
					};
					$paypal_nonce = wp_create_nonce( 'arforms_paypal_nonce' );
					?>
					<input type="hidden" value='<?php echo esc_html( $paypal_nonce ); ?>' id="_wpnonce_paypal" />
					<input type="hidden" value="<?php echo admin_url( 'admin-ajax.php' ); ?>" id="ajax_url" />
					<form name="arf_paypal_setting" id="arf_paypal_setting" method="post" onSubmit="return arf_paypal_save();" enctype="multipart/form-data">

						<input type="hidden" id="arfaction" name="arfaction" value="<?php echo esc_html( $arfaction ); ?>">
						<input type="hidden" name="form_id" id="form_id" value="<?php echo esc_html( $values['form_id'] ); ?>">
						<input type="hidden" name="id" id="id" value="<?php echo esc_html( $values['id'] ); ?>"> 
						<input type="hidden" name="form_name" id="form_name" value="<?php echo $values['form_name']; ?>">                          

						<table class="form-table">

							<tr class="tdclass"><td valign="top" class="tdclass arf_pp_valign_top"><label class="lblsubtitle">
							<?php
										esc_html_e( 'Select Form', 'ARForms-paypal' );
							if ( $arfaction == 'new' ) {
								?>
								&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_pp_valign_top">*</span>
								<?php
							}
							?>
							</label></td>
								<td>
									<?php
									if ( $arfaction == 'new' ) {
										global $arfform;

										$exclude_ids = array( '-1' );
										$form_data   = $wpdb->get_results( 'SELECT * FROM ' . $wpdb->prefix . 'arf_paypal_forms' );
										if ( count( $form_data ) > 0 ) {
											foreach ( $form_data as $form_new ) {
												$exclude_ids[] = $form_new->form_id;
											}
										}

										$where = "is_template=0 AND (status is NULL OR status = '' OR status = 'published') AND id not in (" . implode( ',', $exclude_ids ) . ')';
										$forms = $arfform->getAll( $where, ' ORDER BY name' );
										?>
										<div class="arf_form_dropdown"><div class="sltstandard">
												<select name="arf_paypal_form" id="arf_paypal_form" onChange="arf_paypal_form_change();" class="arf_pp_select_box frm-dropdown" data-width="400px" data-size="15">
													<option value=""><?php echo esc_html__( 'Please select form', 'ARForms-paypal' ); ?></option>
													<?php foreach ( $forms as $form ) { ?>
														<option value="<?php echo esc_html( $form->id ); ?>"><?php echo $armainhelper->truncate( $form->name, 33 ); ?></option>
													<?php } ?>
												</select>
											</div></div><div class="arferrmessage arf_pp_error_msg" id="arf_paypal_form_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div>
									<?php } else { ?>
											<label class="lblsubtitle arf_pp_selected_form"><strong><?php echo stripslashes( $values['form_name'] ); ?></strong></label>
										<input type="hidden" name="arf_paypal_form" id="arf_paypal_form" value="<?php echo esc_html( $values['form_id'] ); ?>"  />
									<?php } ?>


									<?php if ( $arfaction == 'new' ) { ?>
										<br />
										<label class="lblsubtitle arf_pp_new_form_note">(<?php echo stripslashes( esc_html__( 'Please choose your form to be configured with paypal.', 'ARForms-paypal' ) ); ?>)</label>
									<?php } ?>
								</td>

							</tr>

							<tr class="tdclass">
								<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Paypal Settings', 'ARForms-paypal' ); ?></td>
							</tr>

							<tr class="tdclass"><td width="18%" class="tdclass" valign="top"><label class="lblsubtitle"><?php esc_html_e( 'Merchant Email', 'ARForms-paypal' ); ?>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_pp_valign_top">*</span></label></td><td><input type="text" name="arf_paypal_email" id="arf_paypal_email" value="<?php echo esc_attr( $values['merchant_email'] ); ?>" class="txtstandardnew arf_pp_setting_input_box">
									<div class="arferrmessage arf_pp_error_msg" id="arf_paypal_email_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td></tr>

							<tr class="tdclass"><td valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'PayPal Mode', 'ARForms-paypal' ); ?></label></td><td><input type="radio" class="rdostandard" id="arf_paypal_production" name="arf_paypal_mode" value="1" <?php checked( $values['paypal_mode'], 1 ); ?> ><label for="arf_paypal_production"><span></span><?php esc_html_e( 'Production', 'ARForms-paypal' ); ?></label>
									&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type="radio" class="rdostandard" id="arf_paypal_test" name="arf_paypal_mode" value="0" <?php checked( $values['paypal_mode'], 0 ); ?> ><label for="arf_paypal_test"><span></span><?php esc_html_e( 'Test Mode', 'ARForms-paypal' ); ?></label></td></tr>

							<tr class="tdclass"><td width="18%" valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'Title', 'ARForms-paypal' ); ?>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_pp_valign_middle">*</span></label></td><td><input type="text" name="arf_paypal_title" id="arf_paypal_title" value="<?php echo esc_attr( $values['title'] ); ?>" class="txtstandardnew arf_pp_setting_input_box" >
									<div class="arferrmessage arf_pp_error_msg" id="arf_paypal_title_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td></tr>

							<tr class="tdclass"><td width="18%" valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'Currency', 'ARForms-paypal' ); ?>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_pp_valign_middle">*</span></label></td><td><div class="sltstandard">
										<select name="arf_paypal_currency" id="arf_paypal_currency" class="arf_paypal_currency arf_pp_cl_input_box frm-dropdown" data-width="150px" data-size="15">
											<?php
											$currency_list = $arf_paypal->currency_symbol();
											foreach ( $currency_list as $currency => $currency_symbl ) {
												?>
												<option value="<?php echo esc_html( $currency ); ?>" <?php selected( $values['currency'], $currency ); ?> ><?php echo esc_html( $currency_symbl ); ?></option>
											<?php } ?>
										</select>
									</div>
									<div class="arferrmessage arf_pp_error_msg" id="arf_paypal_currency_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td></tr>



							<tr class="tdclass"><td valign="top" class="tdclass"><label class="lblsubtitle" for="shipping_info"><?php esc_html_e( 'Collect shipping info', 'ARForms-paypal' ); ?></label></td>
								<td><input type="checkbox" name="shipping_info" onchange="is_shipping_info();" id="shipping_info" class="chkstanard" value="1" <?php checked( $values['shipping_info'], 1 ); ?> /><label for="shipping_info"><span></span></label></td>
							</tr>

							<tr class="tdclass 
							<?php
							if ( $values['shipping_info'] != 1 ) {
								echo ' arf_pp_display_none '; }
							?>
							" id="paypal_shipping_fields" >
								<td class="tdclass" valign="top"><label class="lblsubtitle"><?php esc_html_e( 'Customer', 'ARForms-paypal' ); ?></label></td>
								<td>
									<table border="0" class="form-table arf_pp_form_table">
										<tr><td><strong><?php esc_html_e( 'Paypal Fields', 'ARForms-paypal' ); ?></strong></td><td><strong><?php esc_html_e( 'Form Fields', 'ARForms-paypal' ); ?></strong></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'First Name', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_first_name', 'arf_paypal_fields', $values['first_name'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Last Name', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_last_name', 'arf_paypal_fields', $values['last_name'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Email', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_email', 'arf_paypal_fields', $values['email'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Address', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_address', 'arf_paypal_fields', $values['address'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Address 2', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_address_2', 'arf_paypal_fields', $values['address_2'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'City', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_city', 'arf_paypal_fields', $values['city'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'State', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_state', 'arf_paypal_fields', $values['state'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Zip', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_zip', 'arf_paypal_fields', $values['zip'], $field_array ); ?></td></tr>
										<tr><td valign="top"><?php esc_html_e( 'Country', 'ARForms-paypal' ); ?></td><td><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_country', 'arf_paypal_fields', $values['country'], $field_array ); ?></td></tr>
										<tr><td>&nbsp;</td><td>&nbsp;</td></tr>
									</table>    
								</td></tr>

							<tr class="tdclass"><td width="18%" valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'Continue Button Label', 'ARForms-paypal' ); ?></label></td><td><input type="text" name="arf_paypal_continue_label" id="arf_paypal_continue_label" value="<?php echo esc_attr( $values['continue_label'] ); ?>" class="txtstandardnew arf_pp_setting_input_box">
								</td></tr>



							<tr class="tdclass">
								<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Payment Type', 'ARForms-paypal' ); ?></td>
							</tr>


							<tr class="tdclass">
								<td width="18%" class="tdclass arf_pp_valign_top" valign="top">
									<label class="lblsubtitle"><?php esc_html_e( 'Select Your Case', 'ARForms-paypal' ); ?></label>            
									<br /></td>
								<td width="82%">        

									<input type="radio" <?php echo ( $values['arf_payment_type'] == '' ) ? 'checked=checked' : ''; ?> class="rdostandard" name="arf_payment_type" id="arf_single_payment_type" value="arf_payment_type_single" <?php checked( $values['arf_payment_type'], 'arf_payment_type_single' ); ?> /> &nbsp;<label for="arf_single_payment_type"><span></span><?php esc_html_e( 'Single Option', 'ARForms-paypal' ); ?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;       
									<input type="radio"  class="rdostandard" name="arf_payment_type" id="arf_multiple_payment_type" value="arf_payment_type_multiple" <?php checked( $values['arf_payment_type'], 'arf_payment_type_multiple' ); ?> /> &nbsp;<label for="arf_multiple_payment_type"><span></span><?php esc_html_e( 'Multiple Choice', 'ARForms-paypal' ); ?>
									</label>

									<br />
									<label class="lblsubtitle arf_label arf_pp_single_payment_note">(<?php echo esc_html__( 'eg. Product / Service OR Subscription', 'ARForms-paypal' ); ?>)</label>

									<label class="lblsubtitle arf_label arf_pp_multiple_payment_note">(<?php echo esc_html__( 'eg. Product / Service AND Subscription combined', 'ARForms-paypal' ); ?>)</label>
								</td>        
							</tr>                 
							<?php
								$display_payment_type = '';
							if ( '' != $values['arf_payment_type'] && 'arf_payment_type_single' != $values['arf_payment_type'] ) {
								$display_payment_type = 'arf_pp_display_none';
							}
							?>
							<tr class="tdclass arfpaymenttypesingledata <?php echo esc_attr( $display_payment_type ); ?>"><td width="18%" valign="top" class="tdclass arf_pp_valign_top"><label class="lblsubtitle"><?php esc_html_e( 'Payment Type', 'ARForms-paypal' ); ?></label></td><td><div class="sltstandard">
										 <select name="arf_paypal_payment_type" id="arf_paypal_payment_type" class="arf_paypal_payment_type arf_pp_cl_input_box frm-dropdown" data-width="225px" data-size="15" onChange="arf_paypal_payment_type_change();">                    
											<option value="product_service" <?php selected( $values['payment_type'], 'product_service' ); ?> ><?php esc_html_e( 'Product / Service', 'ARForms-paypal' ); ?></option>
											<option value="donation" <?php selected( $values['payment_type'], 'donation' ); ?> ><?php esc_html_e( 'Donations', 'ARForms-paypal' ); ?></option>

											<option value="subscription" <?php selected( $values['payment_type'], 'subscription' ); ?> ><?php esc_html_e( 'Subscription', 'ARForms-paypal' ); ?></option>
										</select>
									</div>
									<div class="arferrmessage arf_pp_error_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td></tr>

							<tr class="tdclass arfpaymenttypesingledata <?php echo esc_attr( $display_payment_type ); ?>"><td width="18%" class="tdclass arf_pp_valign_top" valign="top"><label class="lblsubtitle"><?php esc_html_e( 'Amount', 'ARForms-paypal' ); ?></label>&nbsp;&nbsp;<span class="arfglobalrequiredfield arf_pp_valign_middle">*</span></td><td><div class="arf_amount_dropdown"><?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_amount', 'arf_paypal_fields', $values['amount'], $field_array ); ?></div> <div class="arferrmessage arf_pp_error_msg" id="arf_amount_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div>
								</td></tr>                  
								<?php
									$display_payment_type = '';
								if ( '' != $values['arf_payment_type'] && 'arf_payment_type_multiple' != $values['arf_payment_type'] ) {
									$display_payment_type = 'arf_pp_display_none';
								}
								?>
							<tr class="tdclass arfpaymenttypemultipledata <?php echo esc_attr( $display_payment_type ); ?>">
								<td width="18%" valign="top" class="tdclass arf_pp_valign_top">
									<label class="lblsubtitle"><?php esc_html_e( 'Payment Type', 'ARForms-paypal' ); ?></label>
								</td>
								<td width="82%">
									<div class="arf_pp_full_width"> 

										<input type="checkbox"  onchange="arf_multiple_payment_type_data()" class="chkstanard" id="arf_multiple_product_service_type" name="arf_multiple_product_service_type" value="1" <?php checked( $values['arf_multiple_product_service_type'], 1 ); ?>><label for="arf_multiple_product_service_type"><span></span><b><?php esc_html_e( 'Product / Service', 'ARForms-paypal' ); ?></b></label>
										<?php
											$display_service_type = '';
										if ( ! isset( $values['arf_multiple_product_service_type'] ) || '' == $values['arf_multiple_product_service_type'] ) {
											$display_service_type = ' arf_pp_display_none ';
										}
										?>
										<div class="arfmultipleproductservicedata <?php echo esc_attr( $display_service_type ); ?>">
											<br />
											<div id="logic_rules_div_multiple_product_service_type">
												<?php esc_html_e( 'Select this method if', 'ARForms-paypal' ); ?>&nbsp;
												<br />
												<div id="arf_cl_rule_multiple_product_service_type">
													<div class="sltstandard arf_pp_display_inline_with_no_float">
														<?php echo $arf_paypal->arf_cl_field_menu( $values['form_id'], 'arf_cl_field_multiple_product_service_type', 'arf_cl_field_multiple_product_service_type', $values['arf_cl_field_multiple_product_service_type'], $field_array ); ?>
													</div>
													&nbsp;
													<div class="sltstandard arf_pp_display_inline_with_no_float">
														<?php echo $arf_paypal->arf_cl_rule_menu( 'arf_cl_op_multiple_product_service_type', 'arf_cl_op_multiple_product_service_type', $values['arf_cl_op_multiple_product_service_type'] ); ?>
													</div>
													&nbsp;
													<input type="text" name="cl_rule_value_multiple_product_service_type" id="cl_rule_value_multiple_product_service_type" class="txtstandardnew" value="<?php echo $values['cl_rule_value_multiple_product_service_type']; ?>" />
													&nbsp;
												</div>
											</div>   

											<div class="arf_pp_ps_amount_wrapper">
												<label class="lblsubtitlearf_pp_float_left"><?php esc_html_e( 'Amount', 'ARForms-paypal' ); ?></label>
												<span class="arfglobalrequiredfield arf_pp_valign_middle arf_pp_field_required_icon">*</span>
												<div class="arf_multiple_product_service_amount_dropdown arf_pp_float_left">
												<?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_multiple_product_service_amount', 'arf_paypal_fields', $values['arf_multiple_product_service_amount'], $field_array ); ?>
												</div> 
												<div class="arferrmessage arf_pp_error_msg" id="arf_multiple_product_service_amount_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div>
											</div>


											<br />
											<br />
										</div>              



										<br />
										<input type="checkbox" onchange="arf_multiple_payment_type_data()" class="chkstanard" id="arf_multiple_subscription_type" name="arf_multiple_subscription_type" value="1" <?php checked( $values['arf_multiple_subscription_type'], 1 ); ?> />
										<label class="arf_pp_full_width arf_pp_cl_service_type" for="arf_multiple_subscription_type"><span></span><b><?php esc_html_e( 'Subscription', 'ARForms-paypal' ); ?></b></label>
										<?php
											$display_service_type2 = '';
										if ( ! isset( $values['arf_multiple_subscription_type'] ) || '' == $values['arf_multiple_subscription_type'] ) {
											$display_service_type2 = ' arf_pp_display_none ';
										}
										?>

										<div class="arfmultiplesubscriptiondata <?php echo esc_attr( $display_service_type2 ); ?>">
											<br />
											<div id="logic_rules_div_multiple_subscription_type">
											<?php esc_html_e( 'Select this method if', 'ARForms-paypal' ); ?>&nbsp;
												<br />
												<div id="arf_cl_rule_multiple_subscription_type">
													<div class="sltstandard arf_pp_display_inline_with_no_float">
													<?php echo $arf_paypal->arf_cl_field_menu( $values['form_id'], 'arf_cl_field_multiple_subscription_type', 'arf_cl_field_multiple_subscription_type', $values['arf_cl_field_multiple_subscription_type'], $field_array ); ?>
													</div>
													&nbsp;
													<div class="sltstandard arf_pp_display_inline_with_no_float">
														<?php echo $arf_paypal->arf_cl_rule_menu( 'arf_cl_op_multiple_subscription_type', 'arf_cl_op_multiple_subscription_type', $values['arf_cl_op_multiple_subscription_type'] ); ?>
													</div>
													&nbsp;
													<input type="text" name="cl_rule_value_multiple_subscription_type" id="cl_rule_value_multiple_subscription_type" class="txtstandardnew" value="<?php echo $values['cl_rule_value_multiple_subscription_type']; ?>" />
													&nbsp;
												</div>
											</div>



											<div class="arf_pp_ps_amount_wrapper">
												<label class="lblsubtitle arf_pp_float_left"><?php esc_html_e( 'Amount', 'ARForms-paypal' ); ?></label>
												<span class="arfglobalrequiredfield arf_pp_valign_middle arf_pp_field_required_icon">*</span>

												<div class="arf_multiple_subscription_amount_dropdown arf_pp_float_left">
												<?php echo $arf_paypal->field_dropdown( $values['form_id'], 'arf_multiple_subscription_amount', 'arf_paypal_fields', $values['arf_multiple_subscription_amount'], $field_array ); ?>
												</div> 
												<div class="arferrmessage arf_pp_error_msg" id="arf_multiple_subscription_amount_msg"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div>
											</div>




											
											<?php
											global $arffield;
											$as__get_ampunt_field_name = $arffield->getOne( $values['arf_multiple_subscription_amount'] );
											?>
											<?php $multiple_subscription_cl_rules_array = $values['multiple_subscription_conditional_logic']['rules'] ? $values['multiple_subscription_conditional_logic']['rules'] : array(); ?>

											<div id="arf_billing_cycle_data" class="arf_pp_billing_cycle_data">

												<?php
												if ( count( $multiple_subscription_cl_rules_array ) > 0 ) {
													$rule_i = 1;
													foreach ( $multiple_subscription_cl_rules_array as $rule ) {
														?>

														<div class="logic_multiple_subscription_div arf_pp_logic_multiple_subscription_div" id="arf_cl_rule_multiple_subscription_<?php echo esc_attr( $rule_i ); ?>">  
															<input type="hidden" name="rule_array_multiple_subscription[]" value="<?php echo esc_attr( $rule_i ); ?>" />
															<label class="lblsubtitle arf_pp_billing_cycle_label"><b><?php esc_html_e( 'Billing Cycle', 'ARForms-paypal' ); ?></b></label>
															<div class="arf_form_dropdown">
																<div class="sltstandard">
																	<?php
																		$hide_days_rec_type = '';
																	if ( isset( $rule['recurring_type'] ) && 'D' != $rule['recurring_type'] ) {
																		$hide_days_rec_type = ' arf_pp_display_none ';
																	}
																	?>
																	<div class="arf_pp_float_left <?php echo esc_attr( $hide_days_rec_type ); ?>" id="arf_paypal_days_main_<?php echo esc_attr( $rule_i ); ?>">
																		<select name="arf_paypal_days_<?php echo esc_attr( $rule_i ); ?>" id="arf_paypal_days_<?php echo esc_attr( $rule_i ); ?>" class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																			<?php for ( $i = 1; $i <= 90; $i++ ) { ?>
																				<option value="<?php echo esc_attr( $i ); ?>" 
																										  <?php
																											if ( isset( $rule['arf_paypal_days'] ) && $i == $rule['arf_paypal_days'] ) {
																												echo "selected='selected'";
																											}
																											?>
																				><?php echo esc_attr( $i ); ?></option>
																			<?php } ?>
																		</select>
																	</div>
																	<?php
																		$hide_month_rec_type = '';
																	if ( isset( $rule['recurring_type'] ) && 'M' != $rule['recurring_type'] ) {
																		$hide_month_rec_type = ' arf_pp_display_none ';
																	}
																	?>
																	<div id="arf_paypal_months_main_<?php echo esc_attr( $rule_i ); ?>" class="arf_pp_float_left <?php echo esc_attr( $hide_month_rec_type ); ?>">
																		<select name="arf_paypal_months_<?php echo esc_attr( $rule_i ); ?>" id="arf_paypal_months_<?php echo esc_attr( $rule_i ); ?>" class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																			<?php for ( $i = 1; $i <= 24; $i++ ) { ?>
																				<option value="<?php echo esc_attr( $i ); ?>" 
																										  <?php
																											if ( isset( $rule['arf_paypal_months'] ) && $i == $rule['arf_paypal_months'] ) {
																												echo "selected='selected'";
																											}
																											?>
																				><?php echo esc_attr( $i ); ?></option>
																			<?php } ?>
																		</select>
																	</div>
																	<?php
																		$hide_year_rec_type = '';
																	if ( isset( $rule['recurring_type'] ) && 'Y' != $rule['recurring_type'] ) {
																		$hide_year_rec_type = ' arf_pp_display_none ';
																	}
																	?>
																	<div id="arf_paypal_years_main_<?php echo esc_attr( $rule_i ); ?>" classs="arf_pp_float_left <?php echo esc_attr( $hide_year_rec_type ); ?>">
																		<select name="arf_paypal_years_<?php echo esc_attr( $rule_i ); ?>" id="arf_paypal_years_<?php echo esc_attr( $rule_i ); ?>" class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																			<?php for ( $i = 1; $i <= 5; $i++ ) { ?>
																				<option value="<?php echo esc_attr( $i ); ?>" 
																										  <?php
																											if ( isset( $rule['arf_paypal_years'] ) && $i == $rule['arf_paypal_years'] ) {
																												echo "selected='selected'";
																											}
																											?>
																				><?php echo esc_attr( $i ); ?></option>
																			<?php } ?>
																		</select>
																	</div>

																	<div id="arf_paypal_recurring_type_main_<?php echo esc_attr( $rule_i ); ?>" class="arf_pp_float_left arf_pp_cl_service_type">
																		<select name="arf_paypal_recurring_type_<?php echo esc_attr( $rule_i ); ?>" id="arf_paypal_recurring_type_<?php echo esc_attr( $rule_i ); ?>" class="frm-dropdown arf_pp_all_rec_type_dd" data-width="105px" data-size="15"  onChange="arf_multiple_subscription_paypal_recurring_type_select(<?php echo esc_attr( $rule_i ); ?>);">
																			<option value="D" 
																			<?php
																			if ( isset( $rule['recurring_type'] ) && $rule['recurring_type'] == 'D' ) {
																				echo "selected='selected'";
																			}
																			?>
																			><?php esc_html_e( 'Day(s)', 'ARForms-paypal' ); ?></option>
																			<option value="M" 
																			<?php
																			if ( ( isset( $rule['recurring_type'] ) && $rule['recurring_type'] == 'M' ) || ( ! isset( $rule['recurring_type'] ) ) ) {
																				echo "selected='selected'";
																			}
																			?>
																			><?php esc_html_e( 'Month(s)', 'ARForms-paypal' ); ?></option>
																			<option value="Y" 
																			<?php
																			if ( isset( $rule['recurring_type'] ) && $rule['recurring_type'] == 'Y' ) {
																				echo "selected='selected'";
																			}
																			?>
																			><?php esc_html_e( 'Year(s)', 'ARForms-paypal' ); ?></option>
																		</select>
																	</div>
																</div>



																<div class="sltstandard arf_pp_float_left arf_pp_cl_service_type_wrapper">
																	<select name="arf_paypal_recurring_time_<?php echo esc_attr( $rule_i ); ?>" id="arf_paypal_recurring_time" class="frm-dropdown arf_pp_cl_input_box" data-width="150px" data-size="6">
																		<option value="infinite" 
																		<?php
																		if ( isset( $rule['recurring_time'] ) && $rule['recurring_time'] == 'infinite' ) {
																			echo "selected='selected'";
																		}
																		?>
																		><?php esc_html_e( 'Infinite', 'ARForms-paypal' ); ?></option>
																		<?php for ( $i = 2; $i <= 30; $i++ ) { ?>
																			<option value="<?php echo esc_attr( $i ); ?>" 
																									  <?php
																										if ( isset( $rule['recurring_time'] ) && $i == $rule['recurring_time'] ) {
																											echo "selected='selected'";
																										}
																										?>
																			><?php echo esc_attr( $i ); ?></option>
																		<?php } ?>
																	</select>
																	<br/>
																	<label class="lblsubtitle arf_pp_recurring_time_label">(<?php echo stripslashes( esc_html__( 'Recurring Times', 'ARForms-paypal' ) ); ?>)</label>
																</div>

																<label class="lblsubtitle arf_pp_cl_if_label"><?php esc_html_e( 'If', 'ARForms-paypal' ); ?></label>

																<span class="bulk_add_remove_subscription_multiple arf_pp_cl_buttons">
																	<button type="button" onclick="arf_add_new_law_multiple_subscription();" class="bulk_add">&nbsp;</button>
																	<span onclick="delete_rule_multiple_subscription(this);" class="bulk_remove <?php echo ( count( $multiple_subscription_cl_rules_array ) == '1' ) ? ' arf_pp_display_none ' : ''; ?>">&nbsp;</span>
																</span>


																<div class="arf_pp_cl_field_wrapper">
																	<div class="arf_pp_cl_duration_field_wrapper">
																		<label class="lblsubtitle duration_feiled arf_pp_float_right">
																		<?php
																		if ( isset( $as__get_ampunt_field_name->name ) && ! empty( $as__get_ampunt_field_name->name ) ) {
																			_e( $as__get_ampunt_field_name->name, 'ARForms-paypal' );
																		}
																		?>
																		</label>
																	</div>

																	<div class="arf_amount_dropdown arf_pp_float_left">

																		<div id="arf_cl_rule_multiple_subscription_type">
																			<div class="sltstandard arf_pp_display_inline_with_no_float">
																			<?php echo $arf_paypal->arf_cl_rule_menu( 'arf_cl_op_multiple_subscription_duration_type_' . $rule_i, 'arf_cl_op_multiple_subscription_type_' . $rule_i, $rule['operator'] ); ?>

																			</div>
																			&nbsp;
																			<input type="text" name="cl_rule_value_multiple_subscription_duration_type_<?php echo esc_attr( $rule_i ); ?>" id="cl_rule_value_multiple_subscription_duration_type_<?php echo esc_attr( $rule_i ); ?>" class="txtstandardnew arf_pp_cl_rule_value_input" value="<?php echo $rule['value']; ?>" />
																			&nbsp;
																		</div>

																	</div> 

																</div>


															</div>
														</div>    

														<?php $rule_i++; ?>
													<?php } ?>    
												<?php } ?>                                            
												<div>

													






													<br />
												</div>
												

											</div>
											</td>
											</tr>
											<?php
												$arf_subscription_data = '';
											if ( 'arf_payment_type_multiple' == $values['arf_payment_type'] ) {
												$arf_subscription_data = ' arf_pp_display_none ';
											}
											if ( isset( $values['payment_type'] ) && 'subscription' != $values['payment_type'] ) {
												$arf_subscription_data = ' arf_pp_display_none ';
											}
											?>
											<tr class="tdclass arfsubscriptiondata <?php echo esc_attr( $arf_subscription_data ); ?>">
												<td width="18%" class="tdclass" valign="top"><label class="lblsubtitle"><?php esc_html_e( 'Billing Cycle', 'ARForms-paypal' ); ?></label></td><td>
													<div class="arf_form_dropdown"><div class="sltstandard">
															<?php
																$hide_days_rec_type = '';
															if ( isset( $values['paypal_recurring_type'] ) && 'D' != $values['paypal_recurring_type'] ) {
																$hide_days_rec_type = ' arf_pp_display_none ';
															}
															?>
															<div id="arf_paypal_days_main" class="arf_pp_float_left <?php echo esc_attr( $hide_days_rec_type ); ?>">
																<select name="arf_paypal_days" id="arf_paypal_days"  class="frm-dropdown arf_pp_rec_type_dd" data-width="80px" data-size="6">
																	<?php for ( $i = 1; $i <= 90; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																								  <?php
																									if ( isset( $values['paypal_days'] ) && $i == $values['paypal_days'] ) {
																										echo "selected='selected'";
																									}
																									?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>
															<?php
																$hide_month_rec_type = '';
															if ( isset( $values['paypal_recurring_type'] ) && 'M' != $values['paypal_recurring_type'] ) {
																$hide_month_rec_type = ' arf_pp_display_none ';
															}
															?>
															<div id="arf_paypal_months_main" class="arf_pp_float_left <?php echo esc_attr( $hide_month_rec_type ); ?>">
																<select name="arf_paypal_months" id="arf_paypal_months" class="frm-dropdown arf_pp_rec_type_dd" data-width="80px" data-size="6">
																	<?php for ( $i = 1; $i <= 24; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																								  <?php
																									if ( isset( $values['paypal_months'] ) && $i == $values['paypal_months'] ) {
																										echo "selected='selected'";
																									}
																									?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>
															<?php
																$hide_year_rec_type = '';
															if ( isset( $values['paypal_recurring_type'] ) && 'Y' != $values['paypal_recurring_type'] ) {
																$hide_year_rec_type = ' arf_pp_display_none ';
															}
															?>
															<div id="arf_paypal_years_main"  class="arf_pp_float_left <?php echo esc_attr( $hide_year_rec_type ); ?>">
																<select name="arf_paypal_years" id="arf_paypal_years" class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																	<?php for ( $i = 1; $i <= 5; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																								  <?php
																									if ( isset( $values['paypal_years'] ) && $i == $values['paypal_years'] ) {
																										echo "selected='selected'";
																									}
																									?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>

															<div id="arf_paypal_recurring_type_main" class="arf_pp_ruccring_type_main_wrapper">
																<select name="arf_paypal_recurring_type" id="arf_paypal_recurring_type" class="frm-dropdown arf_pp_all_rec_type_dd" data-width="100px" data-size="15"  onChange="arf_paypal_recurring_type_select();">
																	<option value="D" 
																	<?php
																	if ( isset( $values['paypal_recurring_type'] ) && $values['paypal_recurring_type'] == 'D' ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Day(s)', 'ARForms-paypal' ); ?></option>
																	<option value="M" 
																	<?php
																	if ( ( isset( $values['paypal_recurring_type'] ) && $values['paypal_recurring_type'] == 'M' ) || ( ! isset( $values['paypal_recurring_type'] ) ) ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Month(s)', 'ARForms-paypal' ); ?></option>
																	<option value="Y" 
																	<?php
																	if ( isset( $values['paypal_recurring_type'] ) && $values['paypal_recurring_type'] == 'Y' ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Year(s)', 'ARForms-paypal' ); ?></option>
																</select>
															</div>
														</div></div>

												</td></tr>


											<tr class="tdclass arfsubscriptiondata <?php echo esc_attr( $arf_subscription_data ); ?>"><td width="18%" class="tdclass" valign="top"><label class="lblsubtitle"><?php esc_html_e( 'Recurring Times', 'ARForms-paypal' ); ?></label></td><td>
													<div class="arf_form_dropdown">
														<div class="sltstandard">
															<select name="arf_paypal_recurring_time" id="arf_paypal_recurring_time" class="frm-dropdown arf_pp_cl_input_box" data-size="6">
																<option value="infinite" 
																<?php
																if ( isset( $values['paypal_recurring_time'] ) && $values['paypal_recurring_time'] == 'infinite' ) {
																	echo "selected='selected'";
																}
																?>
																><?php esc_html_e( 'Infinite', 'ARForms-paypal' ); ?></option>
																<?php for ( $i = 2; $i <= 30; $i++ ) { ?>
																	<option value="<?php echo esc_attr( $i ); ?>" 
																							  <?php
																								if ( isset( $values['paypal_recurring_time'] ) && $i == $values['paypal_recurring_time'] ) {
																									echo "selected='selected'";
																								}
																								?>
																	><?php echo esc_attr( $i ); ?></option>
																<?php } ?>
															</select>
														</div>
													</div>
												</td>
											</tr>
											<tr class="tdclass arfsubscriptiondata arfmultiplesubscriptiondata"><td width="18%" class="tdclass" valign="top">&nbsp;</td><td>
													<div class="arf_form_dropdown">
														<div class="sltstandard">
															<input type="checkbox" name="arf_paypal_recurring_retry" id="arf_paypal_recurring_retry" onchange="is_trial_period();" class="chkstanard" value="1" <?php checked( $values['paypal_recurring_retry'], 1 ); ?> /><label for="arf_paypal_recurring_retry"><span></span></label><label class="lblsubtitle arf_paypal_recurring_retry_lbl" for="arf_paypal_recurring_retry"><?php esc_html_e( 'Try to bill again after failed attempt.', 'ARForms-paypal' ); ?></label>
														</div>
													</div>
												</td></tr>

											<tr class="tdclass arfsubscriptiondata arfmultiplesubscriptiondata" ><td width="18%" class="tdclass" valign="top"><label class="lblsubtitle" for="arf_paypal_trial_period"><?php esc_html_e( 'Trial Period', 'ARForms-paypal' ); ?></label></td><td class="arf_pp_field_td paypal_fields_td">
													<div class="arf_form_dropdown">
														<div class="sltstandard">
															<input type="checkbox" name="arf_paypal_trial_period" id="arf_paypal_trial_period" onchange="is_trial_period();" class="chkstanard" value="1" <?php checked( $values['paypal_trial_period'], 1 ); ?> /><label for="arf_paypal_trial_period"><span></span></label>
														</div>
													</div>
												</td></tr>


											<?php
												$display_trial_amount = '';
											if ( 'arf_payment_type_multiple' == $values['arf_payment_type'] && isset( $values['arf_multiple_subscription_type'] ) && '0' == $values['arf_multiple_subscription_type'] ) {
												$display_trial_amount = ' arf_pp_display_none ';
											}

											if ( ( isset( $values['payment_type'] ) && 'subscription' != $values['payment_type'] ) || ( isset( $values['paypal_trial_period'] ) && '1' != $values['paypal_trial_period'] ) ) {
												$display_trial_amount = ' arf_pp_display_none ';
											}
											?>
											<tr class="tdclass" id="arf_paypal_trial_period_amount" class="<?php echo esc_attr( $display_trial_amount ); ?>">
												<td width="18%" class="tdclass" valign="top">
													<label class="lblsubtitle" for="arf_paypal_trial_amount"><?php esc_html_e( 'Trial Amount', 'ARForms-paypal' ); ?></label>
												</td>
												<td>
													<div class="arf_form_dropdown">
														<div class="sltstandard">
															<input type="text" name="arf_paypal_trial_amount" id="arf_paypal_trial_amount" class="txtstandardnew" value="<?php echo isset( $values['paypal_trial_amount'] ) ? $values['paypal_trial_amount'] : ''; ?>" />
														</div>
													</div>
												</td>
											</tr>
											<?php
												$display_trial_period = '';
											if ( ( isset( $values['payment_type'] ) && 'subscription' != $values['payment_type'] ) || ( isset( $values['paypal_trial_period'] ) && '1' != $values['paypal_trial_period'] ) ) {
												$display_trial_period = ' arf_pp_display_none ';
											}
											?>
											<tr class="tdclass" id="arf_paypal_trial_period_selbox" class="<?php echo esc_attr( $display_trial_period ); ?>">
												<td width="18%" class="tdclass" valign="top">
													<label class="lblsubtitle"><?php esc_html_e( 'Trial Period', 'ARForms-paypal' ); ?></label>
												</td>
												<td>
													<div class="arf_form_dropdown"><div class="sltstandard">
														<?php
															$hide_days_rec_trial = '';
														if ( isset( $values['paypal_trial_recurring_type'] ) && 'D' != $values['paypal_trial_recurring_type'] ) {
															$hide_days_rec_trial = ' arf_pp_display_none ';
														}
														?>
															<div id="arf_paypal_trial_days_main" class="arf_pp_float_left <?php echo esc_attr( $hide_days_rec_trial ); ?>">
																<select name="arf_paypal_trial_days" id="arf_paypal_trial_days"  class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																	<?php for ( $i = 1; $i <= 90; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																								  <?php
																									if ( isset( $values['paypal_trial_days'] ) && $i == $values['paypal_trial_days'] ) {
																										echo "selected='selected'";
																									}
																									?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>
															<?php
																$hide_month_rec_trial = '';
															if ( isset( $values['paypal_trial_recurring_type'] ) && 'M' != $values['paypal_trial_recurring_type'] ) {
																$hide_month_rec_trial = ' arf_pp_display_none ';
															}
															?>
															<div id="arf_paypal_trial_months_main" class="arf_pp_float_left <?php echo esc_attr( $hide_month_rec_trial ); ?>">
																<select name="arf_paypal_trial_months" id="arf_paypal_trial_months" class="frm-dropdown arf_pp_rec_type_dd" data-width="65px" data-size="6">
																	<?php for ( $i = 1; $i <= 24; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																								  <?php
																									if ( isset( $values['paypal_trial_months'] ) && $i == $values['paypal_trial_months'] ) {
																										echo "selected='selected'";
																									}
																									?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>
															<?php
																$hide_year_rec_trial = '';
															if ( isset( $values['paypal_trial_recurring_type'] ) && 'Y' != $values['paypal_trial_recurring_type'] ) {
																$hide_year_rec_trial = ' arf_pp_display_none';
															}
															?>
															<div id="arf_paypal_trial_years_main" class="arf_pp_float_left <?php echo esc_attr( $hide_year_rec_trial ); ?>">
																<select name="arf_paypal_trial_years" id="arf_paypal_trial_years" class="frm-dropdown" data-width="65px" data-size="6">
																	<?php for ( $i = 1; $i <= 5; $i++ ) { ?>
																		<option value="<?php echo esc_attr( $i ); ?>" 
																		<?php
																		if ( isset( $values['paypal_trial_years'] ) && $i == $values['paypal_trial_years'] ) {
																			echo "selected='selected'";
																		}
																		?>
																		><?php echo esc_attr( $i ); ?></option>
																	<?php } ?>
																</select>
															</div>

															<div id="arf_paypal_trial_recurring_type_main" class="arf_pp_ruccring_type_main_wrapper">
																<select name="arf_paypal_trial_recurring_type" id="arf_paypal_trial_recurring_type" class="frm-dropdown arf_pp_all_rec_type_dd" data-width="105px" data-size="6" onChange="arf_paypal_trial_recurring_type_select();">
																	<option value="D" 
																	<?php
																	if ( isset( $values['paypal_trial_recurring_type'] ) && $values['paypal_trial_recurring_type'] == 'D' ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Day(s)', 'ARForms-paypal' ); ?></option>

																	<option value="M" 
																	<?php
																	if ( ( isset( $values['paypal_trial_recurring_type'] ) && $values['paypal_trial_recurring_type'] == 'M' ) || ( ! isset( $values['paypal_trial_recurring_type'] ) ) ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Month(s)', 'ARForms-paypal' ); ?></option>

																	<option value="Y" 
																	<?php
																	if ( isset( $values['paypal_trial_recurring_type'] ) && $values['paypal_trial_recurring_type'] == 'Y' ) {
																		echo "selected='selected'";
																	}
																	?>
																	><?php esc_html_e( 'Year(s)', 'ARForms-paypal' ); ?></option>
																</select>
															</div>
														</div></div>

												</td></tr>	
											<tr class="tdclass">
												<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Paypal Condition', 'ARForms-paypal' ); ?></td>
											</tr>

											<tr class="tdclass"><td width="18%" valign="top" class="tdclass arf_pp_valign_top"><label class="lblsubtitle"><?php esc_html_e( 'Paypal Condition', 'ARForms-paypal' ); ?></label></td><td><input type="checkbox" class="chkstanard" id="arf_paypal_condition" onchange="is_paypal_condition();" name="arf_paypal_condition" value="1" <?php checked( $values['paypal_condition'], 1 ); ?> ><label for="arf_paypal_condition"><span></span><?php esc_html_e( 'Enable', 'ARForms-paypal' ); ?></label>

													<div>
														
														<?php
															$arf_hide_paypal_condition = '';
														if ( 1 != $values['paypal_condition'] ) {
															$arf_hide_paypal_condition = ' arf_pp_display_none ';
														}
														?>
														<div id="conditional_logic_div_paypal" class="<?php echo esc_attr( $arf_hide_paypal_condition ); ?>">
															
															<div class="">

																<?php $cl_rules_array = $values['conditional_logic']['rules'] ? $values['conditional_logic']['rules'] : array(); ?>

																<?php esc_html_e( 'Send to paypal if', 'ARForms-paypal' ); ?>&nbsp;
																<div class="sltstandard arf_pp_cl_operator 
																<?php
																if ( count( $cl_rules_array ) == 0 ) {
																	echo ' arfhelptip'; }
																?>
																" 
																													<?php
																													if ( count( $cl_rules_array ) == 0 ) {

																														?>
																 title="<?php esc_html_e( 'Please add one or more rules', 'ARForms-paypal' ); ?>" <?php } ?> >
																	<select name="conditional_logic_if_cond_paypal" id="conditional_logic_if_cond_paypal" data-width="80px" 
																	<?php
																	if ( count( $cl_rules_array ) == 0 ) {
																		?>
																		 disabled="disabled" <?php } ?> >
																		<option value="all" 
																		<?php
																		if ( isset( $values['conditional_logic']['if_cond'] ) ) {
																			selected( $values['conditional_logic']['if_cond'], 'all' );
																		}
																		?>
																		><?php esc_html_e( 'All', 'ARForms-paypal' ); ?></option>
																		<option value="any" 
																		<?php
																		if ( isset( $values['conditional_logic']['if_cond'] ) ) {
																			selected( $values['conditional_logic']['if_cond'], 'any' );
																		}
																		?>
																		><?php esc_html_e( 'Any', 'ARForms-paypal' ); ?></option>
																	</select>
																</div>
																&nbsp;<?php esc_html_e( 'of the following match:', 'ARForms-paypal' ); ?>&nbsp;

															</div>
															
															<?php
																$arf_hide_paypal_rule_btn = '';
															if ( count( $cl_rules_array ) != 0 ) {
																$arf_hide_paypal_rule_btn = ' arf_pp_display_none ';
															}
															?>
															<button type="button" id="arf_new_law_paypal" onclick="arf_add_new_law_paypal();" class="greensavebtn arfaddnewrule arf_arfaddnewrule_btn arf_pp_no_border <?php echo esc_attr( $arf_hide_paypal_rule_btn ); ?>"><?php esc_html_e( 'Add New Rule', 'ARForms-paypal' ); ?></button>


															<div id="logic_rules_div_paypal" class="logic_rules_div">
																<?php
																if ( count( $cl_rules_array ) > 0 ) {
																	$rule_i = 1;
																	foreach ( $cl_rules_array as $rule ) {
																		?>
																		<div id="arf_cl_rule_paypal<?php echo '_' . $rule_i; ?>" class="cl_rules">
																			<input type="hidden" name="rule_array_paypal[]" value="<?php echo esc_attr( $rule_i ); ?>" />
																			<div class="sltstandard arf_pp_cl_field_dd"><?php echo $arf_paypal->arf_cl_field_menu( $values['form_id'], 'arf_cl_field_paypal_' . $rule_i, 'arf_cl_field_paypal_' . $rule_i, $rule['field_id'], $field_array ); ?></div>
																			&nbsp;
																			<div class="sltstandard arf_pp_cl_field_dd"><?php echo $arf_paypal->arf_cl_rule_menu( 'arf_cl_op_paypal_' . $rule_i, 'arf_cl_op_paypal_' . $rule_i, $rule['operator'] ); ?></div>
																			&nbsp;
																			<input type="text" name="cl_rule_value_paypal_<?php echo esc_attr( $rule_i ); ?>" id="cl_rule_value_paypal_<?php echo esc_attr( $rule_i ); ?>" class="txtstandardnew" value="<?php echo $rule['value']; ?>" />
																			&nbsp;
																			<span class="bulk_add_remove">
																				<button type="button" onclick="arf_add_new_law_paypal();" class="bulk_add">&nbsp;</button>
																				<span onclick="delete_rule_paypal(this);" class="bulk_remove">&nbsp;</span>
																			</span>

																		</div>
																		<?php
																		$rule_i++;
																	}
																}
																?>
															</div>    
															

														</div>
														

													</div>

												</td></tr>

											<tr>
												<td colspan="2">&nbsp;</td>
											</tr>   
											<tr>
												<td colspan="2"><div class="arf_pp_separator"></div></td>
											</tr>
											<tr class="tdclass">
												<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Return Action', 'ARForms-paypal' ); ?></td>
											</tr>   

											<tr class="tdclass"><td class="tdclass" valign="top">
													<label class="lblsubtitle"><?php esc_html_e( 'Action After Paypal Response', 'ARForms-paypal' ); ?></label>            
													<br /></td>
												<td>        
													<input type="radio" class="rdostandard" name="success_action" id="success_action_redirect" value="redirect" <?php checked( $values['success_action'], 'redirect' ); ?> /> &nbsp;<label for="success_action_redirect"><span></span><?php esc_html_e( 'Redirect to URL', 'ARForms-paypal' ); ?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;        
													<input type="radio" class="rdostandard" name="success_action" id="success_action_message" value="message" <?php checked( $values['success_action'], 'message' ); ?> /> &nbsp;<label for="success_action_message"><span></span><?php esc_html_e( 'Display a Message', 'ARForms-paypal' ); ?></label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;         
													<input type="radio" class="rdostandard" name="success_action" id="success_action_page" value="page" <?php checked( $values['success_action'], 'page' ); ?> /> &nbsp;<label for="success_action_page"><span></span><?php esc_html_e( 'Display content from another page', 'ARForms-paypal' ); ?></label><br />

													<label class="lblsubtitle arf_pp_return_act_msg">(<?php echo stripslashes( esc_html__( 'Return action should be "redirected to URL" in case of modal forms or forms in widget.', 'ARForms-paypal' ) ); ?>)</label>
												</td>        
											</tr>                
											<tr>
												<td class="tdclass"></td><td></td>
											</tr>        

											<tr class="tdclass success_action_redirect_box success_action_box <?php echo ( $values['success_action'] == 'redirect' ) ? '' : ' arf_pp_display_none '; ?>">
												<td class="tdclass" valign="top">
													<label class="lblsubtitle"><?php esc_html_e( 'Redirect to URL', 'ARForms-paypal' ); ?></label>
												</td>
												<td>
													<input type="text" name="success_url" id="success_url" value="
												<?php
												if ( isset( $values['success_url'] ) ) {
													echo esc_attr( $values['success_url'] );}
												?>
												" class="txtstandardnew arf_pp_success_url_input" size="55"><div class="arferrmessage arf_pp_error_msg" id="success_url_error"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td>        
											</tr>

											<tr class="tdclass success_action_message_box success_action_box <?php echo ( $values['success_action'] == 'message' ) ? '' : ' arf_pp_display_none '; ?>">                <td class="tdclass" valign="top"><label class="lblsubtitle arf_pp_valign_top"><?php esc_html_e( 'Confirmation Message', 'ARForms-paypal' ); ?></label></td>        
												<td><textarea id="success_msg" name="success_msg" cols="50" rows="4" class="arfplacelonginput txtmultinew arf_pp_form_success_msg"><?php echo $armainhelper->esc_textarea( $arformcontroller->br2nl( $values['success_msg'] ) ); ?></textarea><br />
													<div class="arferrmessage arf_pp_error_msg" id="success_msg_error"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div>
												<td>        
											</tr>                
											<tr class="tdclass success_action_page_box success_action_box <?php echo ( 'page' == $values['success_action'] ) ? '' : ' arf_pp_display_none '; ?>">
												<td class="tdclass" valign="top"><label class="lblsubtitle arf_pp_valign_super"><?php esc_html_e( 'Use Content from Page', 'ARForms-paypal' ); ?></label></td>
												<td><div class="sltstandard arf_pp_no_float">

													<?php $arf_paypal->arf_wp_pages_dropdown( 'success_page_id', isset( $values['success_page_id'] ) ? $values['success_page_id'] : '', '', 'option_success_page_id' ); ?>
							 
												</div>
													<div class="arferrmessage arf_pp_error_msg" id="option_success_page_id_error"><?php esc_html_e( 'This field cannot be blank.', 'ARForms-paypal' ); ?></div></td>
											</tr>

											<tr class="tdclass"><td width="18%" valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'Cancel URL', 'ARForms-paypal' ); ?></label></td><td><input type="text" name="arf_paypal_cancel_url" id="arf_paypal_cancel_url" value="<?php echo esc_attr( $values['cancel_url'] ); ?>" class="txtstandardnew arf_pp_cancel_url_input">
												</td></tr>

											<tr>
												<td colspan="2">&nbsp;</td>
											</tr>   


											<tr class="tdclass">
												<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Email Notification', 'ARForms-paypal' ); ?></td>
											</tr>


											<tr class="tdclass"><td width="18%" valign="top" class="tdclass"><label class="lblsubtitle"><?php esc_html_e( 'Notification', 'ARForms-paypal' ); ?></label></td><td><input type="checkbox" class="chkstanard" id="arf_paypal_notification" onchange="is_notification_info();" name="arf_paypal_notification" value="1" <?php checked( $values['notification'], 1 ); ?> ><label for="arf_paypal_notification"><span></span><?php esc_html_e( 'Send notification to admin when payment is received.', 'ARForms-paypal' ); ?></label></td></tr>

											<tr class="tdclass <?php echo ( ! isset( $values['user_notification'] ) || 1 != $values['user_notification'] ) ? ' arf_pp_display_none ' : ''; ?>" id="notification_option" >
												<td width="18%" valign="top">
													<label class="lblsubtitle"></label>
												</td>
												<td>
													<textarea name="email_content" id="email_content" class="txtmultinew arf_pp_email_content_textarea" rows="4"><?php echo $armainhelper->esc_textarea( $arformcontroller->br2nl( $values['email_content'] ) ); ?></textarea>
													<div class="arf_pp_display_block">
														<div class="sub_content"><label class="lblsubtitle">[transaction_id] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Transaction id of paypal transaction', 'ARForms-paypal' ); ?></label></div>
														<div class="sub_content"><label class="lblsubtitle">[amount] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Amount paid at paypal', 'ARForms-paypal' ); ?></label></div>
														<div class="sub_content"><label class="lblsubtitle">[currency] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Currency of payment made.', 'ARForms-paypal' ); ?></label></div>
														 <div class="sub_content"><label class="lblsubtitle">[payer_email] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Payer email', 'ARForms-paypal' ); ?></label></div>
													   <div class="sub_content"><label class="lblsubtitle">[payer_id] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Payer id', 'ARForms-paypal' ); ?></label></div>
													   <div class="sub_content"><label class="lblsubtitle">[payer_fname] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Payer firstname', 'ARForms-paypal' ); ?></label></div>
													   <div class="sub_content"><label class="lblsubtitle">[payer_lname] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Payer lastname', 'ARForms-paypal' ); ?></label></div>
														<div class="sub_content"><label class="lblsubtitle">[payment_date] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Date of payment', 'ARForms-paypal' ); ?></label></div>
														<div class="sub_content"><label class="lblsubtitle">[site_name] - </label><label class="lblsubtitle arf_pp_no_text_shadow"><?php esc_html_e( 'Name of site', 'ARForms-paypal' ); ?></label></div>
													</div>
					</td></tr>
				 
				 <tr>
					<td colspan="2">&nbsp;</td>
				</tr> 
				   
				<tr>
					<td colspan="2"><div class="arf_pp_separator"></div></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" colspan="2" class="lbltitle"><br /><?php esc_html_e( 'Set up Instant Payment Notifications', 'ARForms-paypal' ); ?></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle"><?php esc_html_e( 'You must configure your PayPal account to send payment notifications to mark your orders as Paid correctly.', 'ARForms-paypal' ); ?></label></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle"><?php esc_html_e( 'To enable Instant Payment Notification from your PayPal account, please follow below steps.', 'ARForms-paypal' ); ?></label></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">1. <?php esc_html_e( 'Log into your', 'ARForms-paypal' ); ?> <a target="blank" href="https://www.paypal.com/">PayPal</a> <?php esc_html_e( 'account.', 'ARForms-paypal' ); ?></label></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">2. <?php echo stripslashes( esc_html__( 'Click on "Profile" link and then click on "My Selling Tools" link from left menu as displayed at below screenshot.', 'ARForms-paypal' ) ); ?></label><br /><br />
					<img src="<?php echo esc_url( ARF_PAYPAL_URL.'/images/paypal-selling.png' ); ?>" align="absmiddle"  /><br /><br /></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">3. <?php echo stripslashes( esc_html__( 'After clicking on "My Selling Tools" link, you will get list of all link related to selling options. Click the "Update" link next to "Instant Payment Notifications".', 'ARForms-paypal' ) ); ?></label><br /><br />
					<img src="<?php echo esc_url( ARF_PAYPAL_URL.'/images/paypal-getting-paid.png' ); ?>" align="absmiddle"  /><br /><br /></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">4. <?php echo stripslashes( esc_html__( 'After clicking on "Update" link, you will get option to enable IPN setting if it would be off. Click on "Choose IPN Settings" button to enable Instant Payment Notifications.', 'ARForms-paypal' ) ); ?></label><br /><br />
					<img src="<?php echo esc_url( ARF_PAYPAL_URL.'/images/enable_ipn_setting.png' ); ?>" align="absmiddle"  /><br /><br /></td>
				</tr>
				<tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">5. <?php echo stripslashes( esc_html__( 'Edit and enter a notification URL. It doesn\'t matter what URL you insert as ARForms PayPal will override it. and select "Receive IPN Messages" option.', 'ARForms-paypal' ) ); ?></label><br /><br />
					<img src="<?php echo esc_url( ARF_PAYPAL_URL.'/images/paypal-ipn.png' ); ?>" align="absmiddle"  /><br /></td>
				</tr>
			   <tr class="tdclass">
					<td valign="top" class="tdclass_1 arf_pp_configuration_notes" colspan="2"><label class="lblsubtitle">6. <?php esc_html_e( 'Click Save button to save IPN setting.', 'ARForms-paypal' ); ?></label></td>
				</tr>
																																		  
				</table>
				 
				<div class="arf_pp_submit_btn_wrapper arf_pp_old_version">
					<button class="greensavebtn arf_pp_save_btn arf_pp_old_version" id="save_arf_paypal" name="save_arf_paypal" type="submit"><img align="absmiddle" src="<?php echo esc_url( ARFIMAGESURL.'/save_icon.png' ); ?>">&nbsp;&nbsp;<?php esc_html_e( 'Save', 'ARForms-paypal' ); ?></button>
					&nbsp;&nbsp;
					<button class="whitecancelbtn arf_pp_cancle_btn arf_pp_old_version" type="button" onclick="location.href = '?page=ARForms-Paypal'"><?php esc_html_e( 'Cancel', 'ARForms-paypal' ); ?></button>
				</div>
				</form>
		
		</div>
	  </div>  
	</div>
  </div>
</div>    