<?php
global $wpdb, $arf_paypal, $MdlDb;
$actions['bulk_delete'] = esc_html__( 'Delete', 'ARForms-paypal' );

if( isset($_GET['err'] )  && $_GET['err'] == 1 ){
    echo "<input type='hidden' id='arfpaypal_form_error' />";
}
    
?>

<div class="wrap paypal_page arf_pp_old_version">

	<div class="top_bar  frm_settings_form wrap_content">
		<span class="h2"><?php esc_html_e( 'Paypal Configuration', 'ARForms-paypal' ); ?></span>
	</div>
	<div id="success_message" class="arf_pp_display_none arf_pp_success_msg">
		<div class="arfsuccessmsgicon"></div>
		<div class="arf_success_message"></div>
	</div>
	<div id="arf_error_message" class="arf_pp_display_none arf_pp_page_error_msg">
		<ul id="frm_errors">
			<li><div class="arferrmsgicon"></div><div id="error_message"></div></li>
		</ul>
	</div>
	<div id="poststuff" class="metabox-holder">
		<div id="post-body">
			<div class="inside">
				<div class="frm_settings_form wrap_content arf_paypal_list_forms">
					<input type="hidden" id="arf_old_version" value="true" />
					<form name="arf_paypal_forms" method="get" class="arf_pp_full_width" id="arf_paypal_forms" onsubmit="return arf_paypal_form_bulk_act();">
						<div id="arf_paypal_list_form">
							<div class="arf_pp_create_new_btn_wrapper">
								<button class="greensavebtn arf_pp_add_new_config_btn" type="button" onclick="location.href='<?php echo admin_url( 'admin.php?page=ARForms-Paypal&arfaction=new' ); ?>';"><img align="absmiddle" src="<?php echo esc_url( ARFIMAGESURL.'/plus-icon.png' ); ?>">&nbsp;&nbsp;<?php esc_html_e( 'Configure New Form', 'ARForms-paypal' ); ?></button>
							</div>
							<div class="alignleft actions">
					<?php
					$two = '1';
					echo "<div class='sltstandard'>";
					echo "<select class='arf_pp_bulk_act_dd' data-width='121px' name='action$two'>\n";
					echo "<option value='-1' selected='selected'>" . esc_html__( 'Bulk Actions', 'ARForms-paypal' ) . "</option>\n";

					foreach ( $actions as $name => $title ) {
						$class = 'edit' == $name ? ' class="hide-if-no-js"' : '';

						echo "\t<option value='$name'$class>$title</option>\n";
					}

					echo '</select>';
					echo "</div>\n";

					echo '<input type="submit" id="doaction' . $two . '" class="arfbulkbtn arfemailaddbtn" value="' . esc_html__( 'Apply', 'ARForms-paypal' ) . '" />';
					echo "\n";

					?>
							</div>
							<table cellpadding="0" cellspacing="0" border="0" class="display" id="example">
								  <thead>
									<tr>
										<th class="center">
											<div class="arf_pp_old_chk_all_wrapper"><input id="cb-select-all-1" type="checkbox" class="chkstanard"><label for="cb-select-all-1"  class="cb-select-all"><span></span></label></div></th>
										<th class=""><?php esc_html_e( 'Form ID', 'ARForms-paypal' ); ?></th>
										<th class=""><?php esc_html_e( 'Form Name', 'ARForms-paypal' ); ?></th>
										<th class=""><?php esc_html_e( 'Transactions', 'ARForms-paypal' ); ?></th>
										<th class=""><?php esc_html_e( 'Total Amount', 'ARForms-paypal' ); ?></th>
										<th class=""><?php esc_html_e( 'Created Date', 'ARForms-paypal' ); ?></th>
										<th class="col_action"><?php esc_html_e( 'Action', 'ARForms-paypal' ); ?></th>
									</tr>
								  </thead>
								  <tbody>
								<?php
									$forms = $wpdb->get_results( 'SELECT * FROM ' . $arf_paypal->db_paypal_forms . ' ORDER BY id DESC' );
								if ( count( $forms ) > 0 ) {
									foreach ( $forms as $form ) {
										$options = maybe_unserialize( $form->options );
										?>

										<tr>
											<td class="center"><input id="cb-item-action-<?php echo esc_html( $form->id ); ?>" class="chkstanard" type="checkbox" value="<?php echo esc_html( $form->id ); ?>" name="item-action[]"><label for="cb-item-action-<?php echo esc_html( $form->id ); ?>"><span></span></label></td>
											<td><?php echo esc_html( $form->form_id ); ?></td>
											<td class="form_name"><a class="row-title" href="<?php echo wp_nonce_url( "?page=ARForms-Paypal&arfaction=edit&id={$form->id}" ); ?>">
																			<?php
																			$form_name = $wpdb->get_results( $wpdb->prepare( 'SELECT name FROM ' . $MdlDb->forms . ' WHERE id = %d', $form->form_id ) );
																			$form_name = $form_name[0];
																			echo stripslashes( $form_name->name );
																			?>
											</a></td>
											<td class="center">
																	<?php
																	$record_count = $wpdb->get_results( $wpdb->prepare( 'SELECT count(*) AS record_count FROM ' . $arf_paypal->db_paypal_order . ' WHERE form_id = %d', $form->form_id ) );
																	$record_count = $record_count[0];
																	echo "<a href='" . wp_nonce_url( "?page=ARForms-Paypal-order&form={$form->form_id}" ) . "'>" . $record_count->record_count . '</a>';
																	?>
											</td>
											<td class="center">
											<?php
											$total_amount = $wpdb->get_results( $wpdb->prepare( 'SELECT SUM(mc_gross) AS total_amount FROM ' . $arf_paypal->db_paypal_order . ' WHERE form_id = %d', $form->form_id ) );
											$total_amount = $total_amount[0];
											echo ( ( isset( $total_amount->total_amount ) ) ? number_format( (float) $total_amount->total_amount, 2 ) : '0.00' ) . ' ' . $options['currency'];
											?>
											</td>
											<td><?php echo date( get_option( 'date_format' ), strtotime( $form->created_at ) ); ?></td>
											<td>
											<?php
											$edit_link = "?page=ARForms-Paypal&arfaction=edit&id={$form->id}";

											echo "<a href='" . wp_nonce_url( $edit_link ) . "'><img src='" . esc_url( ARFIMAGESURL . '/edit-icon22.png' ) . "' onmouseover=\"this.src='" . esc_url( ARFIMAGESURL . '/edit-icon_hover22.png' ) . "';\" class='arfhelptip' title='" . esc_html__( 'Edit Configuration', 'ARForms-paypal' ) . "' onmouseout=\"this.src='" . esc_url( ARFIMAGESURL . '/edit-icon22.png' ) . "';\" /></a>";

											echo "<a href='" . wp_nonce_url( "?page=ARForms-Paypal-order&form={$form->form_id}" ) . "'><img src='" . esc_url( ARF_PAYPAL_URL . '/images/trans.png' ) . "' title='" . esc_html__( 'Transactions', 'ARForms-paypal' ) . "' class='arfhelptip' onmouseover=\"this.src='" . esc_url( ARF_PAYPAL_URL . '/images/trans_hover.png' ) . "';\" onmouseout=\"this.src='" . esc_url( ARF_PAYPAL_URL . '/images/trans.png' ) . "';\" /></a>";

											echo "<img src='" . esc_url( ARFIMAGESURL . '/delete_icon223.png' ) . "' title=" . esc_html__( 'Delete', 'ARForms-paypal' ) . " onmouseover=\"this.src='" . esc_url( ARFIMAGESURL . '/delete_icon223_hover.png' ) . "';\" onmouseout=\"this.src='" . esc_url( ARFIMAGESURL . '/delete_icon223.png' ) . "';\" class='arfhelptip' onclick=\"arf_ChangeID({$form->id})\" data-toggle='arfmodal' href='#delete_form_message' class='arf_pp_cursor_pointer'/></a>";

											?>
											</td>
										</tr>
											<?php
									}
								}
								?>
								</tbody>
							</table>
							<div class="clear"></div>
							<input type="hidden" name="show_hide_columns" id="show_hide_columns" value="<?php esc_html_e( 'Show / Hide columns', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="search_grid" id="search_grid" value="<?php esc_html_e( 'Search', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="entries_grid" id="entries_grid" value="<?php esc_html_e( 'entries', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="show_grid" id="show_grid" value="<?php esc_html_e( 'Show', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="showing_grid" id="showing_grid" value="<?php esc_html_e( 'Showing', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="to_grid" id="to_grid" value="<?php esc_html_e( 'to', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="of_grid" id="of_grid" value="<?php esc_html_e( 'of', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="no_match_record_grid" id="no_match_record_grid" value="<?php esc_html_e( 'No matching records found', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="no_record_grid" id="no_record_grid" value="<?php esc_html_e( 'No data available in table', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="filter_grid" id="filter_grid" value="<?php esc_html_e( 'filtered from', 'ARForms-paypal' ); ?>"/>
							<input type="hidden" name="totalwd_grid" id="totalwd_grid" value="<?php esc_html_e( 'total', 'ARForms-paypal' ); ?>"/>

							   <div class="alignleft actions2">
			<?php
			$two = '2';
			echo "<div class='sltstandard'>";
			echo "<select class='arf_pp_bulk_act_dd' data-width='120px' name='action$two'>\n";
			echo "<option value='-1' selected='selected'>" . esc_html__( 'Bulk Actions', 'ARForms-paypal' ) . "</option>\n";

			foreach ( $actions as $name => $title ) {
				$class = 'edit' == $name ? ' class="hide-if-no-js"' : '';

				echo "\t<option value='$name'$class>$title</option>\n";
			}

			echo '</select>';
			echo "</div>\n";

			echo '<input type="submit" id="doaction' . $two . '" class="arfbulkbtn arfemailaddbtn" value="' . esc_html__( 'Apply', 'ARForms-paypal' ) . '" />';
			echo "\n";
			?>
							</div>
							<div class="footer_grid"></div>
						</div>
					</form>
				</div>
				<div id="delete_form_message" class="arfmodal arfhide arffade arfdeletemodabox arf_pp_old_delete_msgbox">
					<div class="arfnewmodalclose" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL  . '/close-button.png' ); ?>" align="absmiddle" /></div>
					<input type="hidden" value="" id="delete_entry_id"/>
					<div class="arfdelete_modal_title"><img src="<?php echo esc_url( ARFIMAGESURL . '/delete-field-icon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'DELETE', 'ARForms-paypal' ); ?></div>
					<div class="arfdelete_modal_msg"><?php esc_html_e( 'Are you sure you want to delete this configuration?', 'ARForms-paypal' ); ?></div>
					<div class="arf_delete_modal_row">
						<div class="arf_delete_modal_left" onclick="arfpaypalformactionfunc('delete','');"><img src="<?php echo esc_url( ARFIMAGESURL . '/okay-icon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Okay', 'ARForms-paypal' ); ?></div>
						<div class="arf_delete_modal_right" data-dismiss="arfmodal"><img src="<?php echo esc_url( ARFIMAGESURL . '/cancel-btnicon.png' ); ?>" align="absmiddle" />&nbsp;<?php esc_html_e( 'Cancel', 'ARForms-paypal' ); ?></div>
					</div>
				</div>
				<div class="documentation_link" align="right">
					<a href="<?php echo esc_url( ARF_PAYPAL_URL . '/documentation/index.html' ); ?>" class="arf_pp_doc_link" target="_blank"><?php esc_html_e( 'PayPal Documentation', 'ARForms-paypal' ); ?></a>|<a href="http://reputeinfosystems.com/support/" class="arf_pp_support_link" target="_blank"><?php esc_html_e( 'Support', 'ARForms-paypal' ); ?></a> &nbsp;&nbsp;<img src="<?php echo esc_url( ARFURL . '/images/dot.png' ); ?>" height="4" width="4" onclick="javascript:OpenInNewTab('<?php echo esc_url( ARFURL . '/documentation/assets/sysinfo.php' ); ?>');" />
				</div>
			</div>
		</div>
	</div>
</div>
