var arf_dig_actions = [];
"use strict";

function arf_add_digpro_action(action_name, callback, priority) {
	if ( ! priority) {
		priority = 10;
	}
	if (priority > 100) {
		priority = 100;
	}
	if (priority < 0) {
		priority = 0;
	}
	if (typeof arf_dig_actions[action_name] == 'undefined') {
		arf_dig_actions[action_name] = [];
	}
	if (typeof arf_dig_actions[action_name][priority] == 'undefined') {
		arf_dig_actions[action_name][priority] = []
	}
	arf_dig_actions[action_name][priority].push( callback );
	if ('undefined' != typeof window.arf_actions) {
		var arf_action_keys = Object.keys( window.arf_actions );
		if (arf_action_keys.length > 0) {
			window.arf_actions[action_name] = arf_dig_actions[action_name];
		} else {
			window.arf_actions = arf_dig_actions;
		}
	}
}
arf_add_digpro_action( 'reset_field_in_outsite', 'reset_field_in_outsite_digital_download', 10 );

function reset_field_in_outsite_digital_download(param) {
	var object      = param[0];
	var result      = param[1];
	var form_id     = jQuery( object ).find( '[data-id="form_id"]' ).val();
	var res         = '';
	res             = isJSON( result );
	var conf_method = '';
	var resmessage  = '';
	data            = JSON.parse( result )
	jQuery.each(
		data,
		function(i, e) {
			if (i == "conf_method") {
				conf_method = e;
			}
			if (i == "message") {
				resmessage = e;
			}
		}
	);
	if (conf_method != "") {
		set_download_link( form_id );
	}
}

jQuery(document).ready(function(){
	if( typeof wp.hooks != 'undefined' ){
		wp.hooks.addAction( 'reset_field_in_outsite', 'arforms-digital-product', reset_field_in_outside_digital_product, 10 );
	}
})

function reset_field_in_outside_digital_product( object, result ){
	var form_id     = jQuery( object ).find( '[data-id="form_id"]' ).val();
	var res         = '';
	res             = isJSON( result );
	var conf_method = '';
	var resmessage  = '';
	data            = JSON.parse( result )
	jQuery.each(
		data,
		function(i, e) {
			if (i == "conf_method") {
				conf_method = e;
			}
			if (i == "message") {
				resmessage = e;
			}
		}
	);
	if (conf_method != "") {
		set_download_link( form_id );
	}
}

function set_download_link(form_id) {
	if (form_id == '') {
		return false;
	}
	var ajaxurl = jQuery( ".arf_ajax_url" ).val();
	jQuery.ajax(
		{
			type: "POST",
			url: ajaxurl,
			data: "action=arf_dig_pro_get_donwload_link&form_id=" + form_id,
			success: function(html) {
				if (html) {
					jQuery( "#arffrm_" + form_id + "_container form" ).find( ".arf_fieldset" ).html( html );
					jQuery( "#arffrm_" + form_id + "_container form" ).find( '.arf_image_field ' ).hide();
				}
			}
		}
	);
}